Budget Resource¶
Get Budget By ID¶
HTTP Request
GET /api/budget/{id}
📋 Description: Retrieves detailed information about a specific budget identified by the provided ID, enabling users to access financial data for analysis and decision-making.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "id": 0,
3 "createdBy": "string",
4 "createdAt": "2019-08-24T14:15:22Z",
5 "workOrderIds": [
6 0
7 ],
8 "totalFinalCost": 0,
9 "budgetType": "string",
10 "premiseId": 0,
11 "premiseDisplayId": "string",
12 "totalBudget": 0,
13 "startDate": "2019-08-24",
14 "endDate": "2019-08-24",
15 "premiseAvailable": true,
16 "nimBudgetLinkDtos": [
17 {
18 "id": 0,
19 "createdBy": "string",
20 "createdAt": "2019-08-24T14:15:22Z",
21 "nimBudgetId": 0,
22 "nimInvestmentAreaId": 0,
23 "nimBudgetDto": {
24 "id": 0,
25 "createdOn": "2019-08-24T14:15:22Z",
26 "createdById": "string",
27 "modifiedOn": "2019-08-24T14:15:22Z",
28 "modifiedById": "string",
29 "createdByName": "string",
30 "lastModifiedByName": "string",
31 "requestedAmount": 0,
32 "spent": 0,
33 "companyCurrency": "string",
34 "endYear": 0,
35 "internalAssetClassIds": "string",
36 "availableCombos": "string",
37 "belongToBudgetId": 0,
38 "postedAssetExists": true,
39 "childrenIds": [
40 0
41 ],
42 "investmentAreaIds": [
43 0
44 ],
45 "investmentRequestToInvestmentArea": {
46 "id": 0,
47 "createdOn": "2019-08-24T14:15:22Z",
48 "createdById": "string",
49 "modifiedOn": "2019-08-24T14:15:22Z",
50 "modifiedById": "string",
51 "createdByName": "string",
52 "lastModifiedByName": "string",
53 "amount": 0,
54 "originalCurrencyId": 0,
55 "originalCurrencyDisplayId": "string",
56 "originalAmount": 0,
57 "rate": 0,
58 "rateDate": "2019-08-24",
59 "investmentAreaId": 0,
60 "investmentArea": {
61 "id": 0,
62 "createdOn": "2019-08-24T14:15:22Z",
63 "createdById": "string",
64 "modifiedOn": "2019-08-24T14:15:22Z",
65 "modifiedById": "string",
66 "createdByName": "string",
67 "lastModifiedByName": "string",
68 "displayId": "string",
69 "name": "string",
70 "assetClasses": [
71 0
72 ]
73 },
74 "investmentRequestYearDistributions": [
75 {
76 "id": 0,
77 "createdOn": "2019-08-24T14:15:22Z",
78 "createdById": "string",
79 "modifiedOn": "2019-08-24T14:15:22Z",
80 "modifiedById": "string",
81 "createdByName": "string",
82 "lastModifiedByName": "string",
83 "year": 0,
84 "amount": 0,
85 "originalCurrencyId": 0,
86 "originalCurrencyDisplayId": "string",
87 "originalAmount": 0,
88 "rate": 0,
89 "rateDate": "2019-08-24",
90 "spent": 0,
91 "investmentRequestToInvestmentAreaId": 0
92 }
93 ],
94 "totalSpent": 0,
95 "totalReserved": 0,
96 "balance": 0,
97 "linkedBudgets": [
98 {
99 "id": 0,
100 "createdOn": "2019-08-24T14:15:22Z",
101 "createdById": "string",
102 "modifiedOn": "2019-08-24T14:15:22Z",
103 "modifiedById": "string",
104 "createdByName": "string",
105 "lastModifiedByName": "string",
106 "requestCategoryId": 0,
107 "year": 0,
108 "displayId": "string",
109 "project": "string",
110 "requestCategory": {
111 "id": 0,
112 "createdOn": "2019-08-24T14:15:22Z",
113 "createdById": "string",
114 "modifiedOn": "2019-08-24T14:15:22Z",
115 "modifiedById": "string",
116 "createdByName": "string",
117 "lastModifiedByName": "string",
118 "displayId": "string",
119 "title": "string",
120 "subTitle": "string",
121 "icon": "string",
122 "budgetTitle": "string",
123 "budgetSubTitle": "string",
124 "investmentTitle": "string",
125 "investmentSubTitle": "string"
126 }
127 }
128 ]
129 },
130 "investmentRequestYearDistribution": {
131 "id": 0,
132 "createdOn": "2019-08-24T14:15:22Z",
133 "createdById": "string",
134 "modifiedOn": "2019-08-24T14:15:22Z",
135 "modifiedById": "string",
136 "createdByName": "string",
137 "lastModifiedByName": "string",
138 "year": 0,
139 "amount": 0,
140 "originalCurrencyId": 0,
141 "originalCurrencyDisplayId": "string",
142 "originalAmount": 0,
143 "rate": 0,
144 "rateDate": "2019-08-24",
145 "spent": 0,
146 "investmentRequestToInvestmentAreaId": 0
147 },
148 "investmentRequestId": 0,
149 "investmentRequestDisplayId": "string",
150 "investmentRequestTitle": "string",
151 "requestCategoryId": 0,
152 "year": 0,
153 "displayId": "string",
154 "leaseAreaId": 0,
155 "leaseAreaDisplayId": "string",
156 "leaseAreaName": "string",
157 "businessUnitId": 0,
158 "businessUnitDisplayId": "string",
159 "companyId": 0,
160 "companyDisplayId": "string",
161 "departmentId": 0,
162 "departmentDisplayId": "string",
163 "project": "string",
164 "companyCurrencyId": 0,
165 "companyCurrencyDisplayId": "string",
166 "reportingCurrencyId": 0,
167 "reportingCurrencyDisplayId": "string",
168 "masterBudgetId": 0,
169 "archived": true,
170 "inceptionExchangeRate": 0,
171 "exchangeRateValidFrom": "2019-08-24",
172 "weightedAverageExchangeRate": 0,
173 "status": "DRAFT",
174 "workflowStepName": "string",
175 "forcastYearStart": 0,
176 "forcastYearEnd": 0,
177 "actualYearStart": 0,
178 "actualYearEnd": 0,
179 "projectDescription": "string",
180 "projectJustification": "string",
181 "sponsor": "string",
182 "group1": {
183 "id": 0,
184 "createdOn": "2019-08-24T14:15:22Z",
185 "createdById": "string",
186 "modifiedOn": "2019-08-24T14:15:22Z",
187 "modifiedById": "string",
188 "createdByName": "string",
189 "lastModifiedByName": "string",
190 "displayId": "string",
191 "name": "string",
192 "type": "Group1"
193 },
194 "group2": {
195 "id": 0,
196 "createdOn": "2019-08-24T14:15:22Z",
197 "createdById": "string",
198 "modifiedOn": "2019-08-24T14:15:22Z",
199 "modifiedById": "string",
200 "createdByName": "string",
201 "lastModifiedByName": "string",
202 "displayId": "string",
203 "name": "string",
204 "type": "Group1"
205 },
206 "belongToBudget": {},
207 "totalRequestedAmount": 0,
208 "totalExpense": 0,
209 "totalSpent": 0,
210 "originalRequestedAmount": 0,
211 "modifiedAmount": 0,
212 "currentAvailable": 0,
213 "splitYears": "string",
214 "modificationId": 0,
215 "requestCategory": {
216 "id": 0,
217 "createdOn": "2019-08-24T14:15:22Z",
218 "createdById": "string",
219 "modifiedOn": "2019-08-24T14:15:22Z",
220 "modifiedById": "string",
221 "createdByName": "string",
222 "lastModifiedByName": "string",
223 "displayId": "string",
224 "title": "string",
225 "subTitle": "string",
226 "icon": "string",
227 "budgetTitle": "string",
228 "budgetSubTitle": "string",
229 "investmentTitle": "string",
230 "investmentSubTitle": "string"
231 },
232 "leaseArea": {
233 "id": 0,
234 "status": "CREATED",
235 "displayId": "string",
236 "name": "string",
237 "businessUnitId": 0
238 },
239 "businessUnit": {
240 "id": 0,
241 "status": "CREATED",
242 "displayId": "string",
243 "name": "string",
244 "leaseAreaId": 0,
245 "companyId": 0
246 },
247 "company": {
248 "id": 0,
249 "status": "CREATED",
250 "displayId": "string",
251 "erpSystemId": 0,
252 "erpSystemDisplayId": "string",
253 "countryId": 0,
254 "countryDisplayId": "string",
255 "postingPeriodVariantId": 0,
256 "name": "string",
257 "postingPeriodVariantDisplayId": "string",
258 "controllingAreaId": 0,
259 "controllingAreaDisplayId": "string",
260 "chartOfAccountId": 0,
261 "chartOfAccountDisplayId": "string",
262 "fiscalVariantId": 0,
263 "fiscalVariantDisplayId": "string",
264 "chartOfDepreciationId": 0,
265 "chartOfDepreciationDisplayId": "string",
266 "purchasingOrganizationId": 0,
267 "assetId": 0,
268 "exchangeRateTypeId": 0,
269 "plantId": 0,
270 "incrementalBorrowingRateId": 0,
271 "businessUnitId": 0,
272 "projectId": 0,
273 "transferVariantId": 0,
274 "partnerId": 0,
275 "departmentId": 0,
276 "accountingStandardId": 0,
277 "generalLedgerAccountId": 0,
278 "consumerPriceIndexCategoryId": 0,
279 "costCenterId": 0,
280 "costCenterRelationValidFrom": "2019-08-24",
281 "costCenterRelationValidTo": "2019-08-24"
282 },
283 "department": {
284 "id": 0,
285 "status": "CREATED",
286 "displayId": "string",
287 "name": "string",
288 "companyId": 0,
289 "leaseGroupId": 0
290 }
291 },
292 "nimBudgetInvestmentAreaDto": {
293 "id": 0,
294 "createdOn": "2019-08-24T14:15:22Z",
295 "createdById": "string",
296 "modifiedOn": "2019-08-24T14:15:22Z",
297 "modifiedById": "string",
298 "createdByName": "string",
299 "lastModifiedByName": "string",
300 "amount": 0,
301 "originalCurrencyId": 0,
302 "originalCurrencyDisplayId": "string",
303 "originalAmount": 0,
304 "rate": 0,
305 "rateDate": "2019-08-24",
306 "investmentAreaId": 0,
307 "investmentArea": {
308 "id": 0,
309 "createdOn": "2019-08-24T14:15:22Z",
310 "createdById": "string",
311 "modifiedOn": "2019-08-24T14:15:22Z",
312 "modifiedById": "string",
313 "createdByName": "string",
314 "lastModifiedByName": "string",
315 "displayId": "string",
316 "name": "string",
317 "assetClasses": [
318 0
319 ]
320 },
321 "budgetYearDistributions": [
322 {
323 "id": 0,
324 "createdOn": "2019-08-24T14:15:22Z",
325 "createdById": "string",
326 "modifiedOn": "2019-08-24T14:15:22Z",
327 "modifiedById": "string",
328 "createdByName": "string",
329 "lastModifiedByName": "string",
330 "year": 0,
331 "amount": 0,
332 "originalCurrencyId": 0,
333 "originalCurrencyDisplayId": "string",
334 "originalAmount": 0,
335 "rate": 0,
336 "rateDate": "2019-08-24",
337 "spent": 0,
338 "budgetInvestmentAreaId": 0
339 }
340 ],
341 "investmentRequest": {
342 "id": 0,
343 "createdOn": "2019-08-24T14:15:22Z",
344 "createdById": "string",
345 "modifiedOn": "2019-08-24T14:15:22Z",
346 "modifiedById": "string",
347 "createdByName": "string",
348 "lastModifiedByName": "string",
349 "requestedAmount": 0,
350 "companyCurrency": "string",
351 "investmentAreaIds": [
352 0
353 ],
354 "requestCategoryId": 0,
355 "displayId": "string",
356 "leaseAreaId": 0,
357 "leaseAreaDisplayId": "string",
358 "leaseAreaName": "string",
359 "businessUnitId": 0,
360 "businessUnitDisplayId": "string",
361 "companyId": 0,
362 "companyDisplayId": "string",
363 "departmentId": 0,
364 "departmentDisplayId": "string",
365 "title": "string",
366 "investmentCurrencyId": 0,
367 "investmentCurrencyDisplayId": "string",
368 "companyCurrencyId": 0,
369 "companyCurrencyDisplayId": "string",
370 "reportingCurrencyId": 0,
371 "reportingCurrencyDisplayId": "string",
372 "masterInvestmentRequestId": 0,
373 "inceptionExchangeRate": 0,
374 "exchangeRateValidFrom": "2019-08-24",
375 "weightedAverageExchangeRate": 0,
376 "status": "DRAFT",
377 "workflowStepName": "string",
378 "description": "string",
379 "justification": "string",
380 "totalRequestedAmount": 0,
381 "totalExpense": 0,
382 "totalSpent": 0,
383 "originalRequestedAmount": 0,
384 "modifiedAmount": 0,
385 "currentAvailable": 0,
386 "modificationId": 0,
387 "requestCategory": {
388 "id": 0,
389 "createdOn": "2019-08-24T14:15:22Z",
390 "createdById": "string",
391 "modifiedOn": "2019-08-24T14:15:22Z",
392 "modifiedById": "string",
393 "createdByName": "string",
394 "lastModifiedByName": "string",
395 "displayId": "string",
396 "title": "string",
397 "subTitle": "string",
398 "icon": "string",
399 "budgetTitle": "string",
400 "budgetSubTitle": "string",
401 "investmentTitle": "string",
402 "investmentSubTitle": "string"
403 },
404 "expectedInitiationDate": "2019-08-24",
405 "expectedCompletionDate": "2019-08-24",
406 "actualInitiationDate": "2019-08-24",
407 "actualCompletionDate": "2019-08-24",
408 "requestUrgency": "string",
409 "leaseArea": {
410 "id": 0,
411 "status": "CREATED",
412 "displayId": "string",
413 "name": "string",
414 "businessUnitId": 0
415 },
416 "businessUnit": {
417 "id": 0,
418 "status": "CREATED",
419 "displayId": "string",
420 "name": "string",
421 "leaseAreaId": 0,
422 "companyId": 0
423 },
424 "company": {
425 "id": 0,
426 "status": "CREATED",
427 "displayId": "string",
428 "erpSystemId": 0,
429 "erpSystemDisplayId": "string",
430 "countryId": 0,
431 "countryDisplayId": "string",
432 "postingPeriodVariantId": 0,
433 "name": "string",
434 "postingPeriodVariantDisplayId": "string",
435 "controllingAreaId": 0,
436 "controllingAreaDisplayId": "string",
437 "chartOfAccountId": 0,
438 "chartOfAccountDisplayId": "string",
439 "fiscalVariantId": 0,
440 "fiscalVariantDisplayId": "string",
441 "chartOfDepreciationId": 0,
442 "chartOfDepreciationDisplayId": "string",
443 "purchasingOrganizationId": 0,
444 "assetId": 0,
445 "exchangeRateTypeId": 0,
446 "plantId": 0,
447 "incrementalBorrowingRateId": 0,
448 "businessUnitId": 0,
449 "projectId": 0,
450 "transferVariantId": 0,
451 "partnerId": 0,
452 "departmentId": 0,
453 "accountingStandardId": 0,
454 "generalLedgerAccountId": 0,
455 "consumerPriceIndexCategoryId": 0,
456 "costCenterId": 0,
457 "costCenterRelationValidFrom": "2019-08-24",
458 "costCenterRelationValidTo": "2019-08-24"
459 },
460 "department": {
461 "id": 0,
462 "status": "CREATED",
463 "displayId": "string",
464 "name": "string",
465 "companyId": 0,
466 "leaseGroupId": 0
467 },
468 "linkedBudgets": [
469 {
470 "id": 0,
471 "createdOn": "2019-08-24T14:15:22Z",
472 "createdById": "string",
473 "modifiedOn": "2019-08-24T14:15:22Z",
474 "modifiedById": "string",
475 "createdByName": "string",
476 "lastModifiedByName": "string",
477 "requestCategoryId": 0,
478 "year": 0,
479 "displayId": "string",
480 "project": "string",
481 "requestCategory": {
482 "id": 0,
483 "createdOn": "2019-08-24T14:15:22Z",
484 "createdById": "string",
485 "modifiedOn": "2019-08-24T14:15:22Z",
486 "modifiedById": "string",
487 "createdByName": "string",
488 "lastModifiedByName": "string",
489 "displayId": "string",
490 "title": "string",
491 "subTitle": "string",
492 "icon": "string",
493 "budgetTitle": "string",
494 "budgetSubTitle": "string",
495 "investmentTitle": "string",
496 "investmentSubTitle": "string"
497 }
498 }
499 ],
500 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
501 0
502 ]
503 },
504 "investmentRequests": [
505 {
506 "id": 0,
507 "createdOn": "2019-08-24T14:15:22Z",
508 "createdById": "string",
509 "modifiedOn": "2019-08-24T14:15:22Z",
510 "modifiedById": "string",
511 "createdByName": "string",
512 "lastModifiedByName": "string",
513 "requestedAmount": 0,
514 "companyCurrency": "string",
515 "investmentAreaIds": [
516 0
517 ],
518 "requestCategoryId": 0,
519 "displayId": "string",
520 "leaseAreaId": 0,
521 "leaseAreaDisplayId": "string",
522 "leaseAreaName": "string",
523 "businessUnitId": 0,
524 "businessUnitDisplayId": "string",
525 "companyId": 0,
526 "companyDisplayId": "string",
527 "departmentId": 0,
528 "departmentDisplayId": "string",
529 "title": "string",
530 "investmentCurrencyId": 0,
531 "investmentCurrencyDisplayId": "string",
532 "companyCurrencyId": 0,
533 "companyCurrencyDisplayId": "string",
534 "reportingCurrencyId": 0,
535 "reportingCurrencyDisplayId": "string",
536 "masterInvestmentRequestId": 0,
537 "inceptionExchangeRate": 0,
538 "exchangeRateValidFrom": "2019-08-24",
539 "weightedAverageExchangeRate": 0,
540 "status": "DRAFT",
541 "workflowStepName": "string",
542 "description": "string",
543 "justification": "string",
544 "totalRequestedAmount": 0,
545 "totalExpense": 0,
546 "totalSpent": 0,
547 "originalRequestedAmount": 0,
548 "modifiedAmount": 0,
549 "currentAvailable": 0,
550 "modificationId": 0,
551 "requestCategory": {
552 "id": 0,
553 "createdOn": "2019-08-24T14:15:22Z",
554 "createdById": "string",
555 "modifiedOn": "2019-08-24T14:15:22Z",
556 "modifiedById": "string",
557 "createdByName": "string",
558 "lastModifiedByName": "string",
559 "displayId": "string",
560 "title": "string",
561 "subTitle": "string",
562 "icon": "string",
563 "budgetTitle": "string",
564 "budgetSubTitle": "string",
565 "investmentTitle": "string",
566 "investmentSubTitle": "string"
567 },
568 "expectedInitiationDate": "2019-08-24",
569 "expectedCompletionDate": "2019-08-24",
570 "actualInitiationDate": "2019-08-24",
571 "actualCompletionDate": "2019-08-24",
572 "requestUrgency": "string",
573 "leaseArea": {
574 "id": 0,
575 "status": "CREATED",
576 "displayId": "string",
577 "name": "string",
578 "businessUnitId": 0
579 },
580 "businessUnit": {
581 "id": 0,
582 "status": "CREATED",
583 "displayId": "string",
584 "name": "string",
585 "leaseAreaId": 0,
586 "companyId": 0
587 },
588 "company": {
589 "id": 0,
590 "status": "CREATED",
591 "displayId": "string",
592 "erpSystemId": 0,
593 "erpSystemDisplayId": "string",
594 "countryId": 0,
595 "countryDisplayId": "string",
596 "postingPeriodVariantId": 0,
597 "name": "string",
598 "postingPeriodVariantDisplayId": "string",
599 "controllingAreaId": 0,
600 "controllingAreaDisplayId": "string",
601 "chartOfAccountId": 0,
602 "chartOfAccountDisplayId": "string",
603 "fiscalVariantId": 0,
604 "fiscalVariantDisplayId": "string",
605 "chartOfDepreciationId": 0,
606 "chartOfDepreciationDisplayId": "string",
607 "purchasingOrganizationId": 0,
608 "assetId": 0,
609 "exchangeRateTypeId": 0,
610 "plantId": 0,
611 "incrementalBorrowingRateId": 0,
612 "businessUnitId": 0,
613 "projectId": 0,
614 "transferVariantId": 0,
615 "partnerId": 0,
616 "departmentId": 0,
617 "accountingStandardId": 0,
618 "generalLedgerAccountId": 0,
619 "consumerPriceIndexCategoryId": 0,
620 "costCenterId": 0,
621 "costCenterRelationValidFrom": "2019-08-24",
622 "costCenterRelationValidTo": "2019-08-24"
623 },
624 "department": {
625 "id": 0,
626 "status": "CREATED",
627 "displayId": "string",
628 "name": "string",
629 "companyId": 0,
630 "leaseGroupId": 0
631 },
632 "linkedBudgets": [
633 {
634 "id": 0,
635 "createdOn": "2019-08-24T14:15:22Z",
636 "createdById": "string",
637 "modifiedOn": "2019-08-24T14:15:22Z",
638 "modifiedById": "string",
639 "createdByName": "string",
640 "lastModifiedByName": "string",
641 "requestCategoryId": 0,
642 "year": 0,
643 "displayId": "string",
644 "project": "string",
645 "requestCategory": {
646 "id": 0,
647 "createdOn": "2019-08-24T14:15:22Z",
648 "createdById": "string",
649 "modifiedOn": "2019-08-24T14:15:22Z",
650 "modifiedById": "string",
651 "createdByName": "string",
652 "lastModifiedByName": "string",
653 "displayId": "string",
654 "title": "string",
655 "subTitle": "string",
656 "icon": "string",
657 "budgetTitle": "string",
658 "budgetSubTitle": "string",
659 "investmentTitle": "string",
660 "investmentSubTitle": "string"
661 }
662 }
663 ],
664 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
665 0
666 ]
667 }
668 ],
669 "totalSpent": 0,
670 "totalReserved": 0,
671 "budgetBalance": 0
672 },
673 "nimInvestmentAreaDto": {
674 "id": 0,
675 "createdOn": "2019-08-24T14:15:22Z",
676 "createdById": "string",
677 "modifiedOn": "2019-08-24T14:15:22Z",
678 "modifiedById": "string",
679 "createdByName": "string",
680 "lastModifiedByName": "string",
681 "displayId": "string",
682 "name": "string",
683 "assetClasses": [
684 0
685 ]
686 }
687 }
688 ],
689 "remaining": 0,
690 "usedPecentage": 0
691}
Update Budget¶
HTTP Request
PUT /api/budget/{id}
📋 Description: Updates the budget details for the specified budget ID, allowing for modifications to financial allocations and projections to align with organizational goals.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
body |
body |
true |
Request body containing the updated budget details, including allocation amounts and associated metadata for the specified budget ID. |
Body Parameters
1{
2 "id": 0,
3 "createdBy": "string",
4 "createdAt": "2019-08-24T14:15:22Z",
5 "workOrderIds": [
6 0
7 ],
8 "totalFinalCost": 0,
9 "budgetType": "string",
10 "premiseId": 0,
11 "premiseDisplayId": "string",
12 "totalBudget": 0,
13 "startDate": "2019-08-24",
14 "endDate": "2019-08-24",
15 "premiseAvailable": true,
16 "nimBudgetLinkDtos": [
17 {
18 "id": 0,
19 "createdBy": "string",
20 "createdAt": "2019-08-24T14:15:22Z",
21 "nimBudgetId": 0,
22 "nimInvestmentAreaId": 0,
23 "nimBudgetDto": {
24 "id": 0,
25 "createdOn": "2019-08-24T14:15:22Z",
26 "createdById": "string",
27 "modifiedOn": "2019-08-24T14:15:22Z",
28 "modifiedById": "string",
29 "createdByName": "string",
30 "lastModifiedByName": "string",
31 "requestedAmount": 0,
32 "spent": 0,
33 "companyCurrency": "string",
34 "endYear": 0,
35 "internalAssetClassIds": "string",
36 "availableCombos": "string",
37 "belongToBudgetId": 0,
38 "postedAssetExists": true,
39 "childrenIds": [
40 0
41 ],
42 "investmentAreaIds": [
43 0
44 ],
45 "investmentRequestToInvestmentArea": {
46 "id": 0,
47 "createdOn": "2019-08-24T14:15:22Z",
48 "createdById": "string",
49 "modifiedOn": "2019-08-24T14:15:22Z",
50 "modifiedById": "string",
51 "createdByName": "string",
52 "lastModifiedByName": "string",
53 "amount": 0,
54 "originalCurrencyId": 0,
55 "originalCurrencyDisplayId": "string",
56 "originalAmount": 0,
57 "rate": 0,
58 "rateDate": "2019-08-24",
59 "investmentAreaId": 0,
60 "investmentArea": {
61 "id": 0,
62 "createdOn": "2019-08-24T14:15:22Z",
63 "createdById": "string",
64 "modifiedOn": "2019-08-24T14:15:22Z",
65 "modifiedById": "string",
66 "createdByName": "string",
67 "lastModifiedByName": "string",
68 "displayId": "string",
69 "name": "string",
70 "assetClasses": [
71 0
72 ]
73 },
74 "investmentRequestYearDistributions": [
75 {
76 "id": 0,
77 "createdOn": "2019-08-24T14:15:22Z",
78 "createdById": "string",
79 "modifiedOn": "2019-08-24T14:15:22Z",
80 "modifiedById": "string",
81 "createdByName": "string",
82 "lastModifiedByName": "string",
83 "year": 0,
84 "amount": 0,
85 "originalCurrencyId": 0,
86 "originalCurrencyDisplayId": "string",
87 "originalAmount": 0,
88 "rate": 0,
89 "rateDate": "2019-08-24",
90 "spent": 0,
91 "investmentRequestToInvestmentAreaId": 0
92 }
93 ],
94 "totalSpent": 0,
95 "totalReserved": 0,
96 "balance": 0,
97 "linkedBudgets": [
98 {
99 "id": 0,
100 "createdOn": "2019-08-24T14:15:22Z",
101 "createdById": "string",
102 "modifiedOn": "2019-08-24T14:15:22Z",
103 "modifiedById": "string",
104 "createdByName": "string",
105 "lastModifiedByName": "string",
106 "requestCategoryId": 0,
107 "year": 0,
108 "displayId": "string",
109 "project": "string",
110 "requestCategory": {
111 "id": 0,
112 "createdOn": "2019-08-24T14:15:22Z",
113 "createdById": "string",
114 "modifiedOn": "2019-08-24T14:15:22Z",
115 "modifiedById": "string",
116 "createdByName": "string",
117 "lastModifiedByName": "string",
118 "displayId": "string",
119 "title": "string",
120 "subTitle": "string",
121 "icon": "string",
122 "budgetTitle": "string",
123 "budgetSubTitle": "string",
124 "investmentTitle": "string",
125 "investmentSubTitle": "string"
126 }
127 }
128 ]
129 },
130 "investmentRequestYearDistribution": {
131 "id": 0,
132 "createdOn": "2019-08-24T14:15:22Z",
133 "createdById": "string",
134 "modifiedOn": "2019-08-24T14:15:22Z",
135 "modifiedById": "string",
136 "createdByName": "string",
137 "lastModifiedByName": "string",
138 "year": 0,
139 "amount": 0,
140 "originalCurrencyId": 0,
141 "originalCurrencyDisplayId": "string",
142 "originalAmount": 0,
143 "rate": 0,
144 "rateDate": "2019-08-24",
145 "spent": 0,
146 "investmentRequestToInvestmentAreaId": 0
147 },
148 "investmentRequestId": 0,
149 "investmentRequestDisplayId": "string",
150 "investmentRequestTitle": "string",
151 "requestCategoryId": 0,
152 "year": 0,
153 "displayId": "string",
154 "leaseAreaId": 0,
155 "leaseAreaDisplayId": "string",
156 "leaseAreaName": "string",
157 "businessUnitId": 0,
158 "businessUnitDisplayId": "string",
159 "companyId": 0,
160 "companyDisplayId": "string",
161 "departmentId": 0,
162 "departmentDisplayId": "string",
163 "project": "string",
164 "companyCurrencyId": 0,
165 "companyCurrencyDisplayId": "string",
166 "reportingCurrencyId": 0,
167 "reportingCurrencyDisplayId": "string",
168 "masterBudgetId": 0,
169 "archived": true,
170 "inceptionExchangeRate": 0,
171 "exchangeRateValidFrom": "2019-08-24",
172 "weightedAverageExchangeRate": 0,
173 "status": "DRAFT",
174 "workflowStepName": "string",
175 "forcastYearStart": 0,
176 "forcastYearEnd": 0,
177 "actualYearStart": 0,
178 "actualYearEnd": 0,
179 "projectDescription": "string",
180 "projectJustification": "string",
181 "sponsor": "string",
182 "group1": {
183 "id": 0,
184 "createdOn": "2019-08-24T14:15:22Z",
185 "createdById": "string",
186 "modifiedOn": "2019-08-24T14:15:22Z",
187 "modifiedById": "string",
188 "createdByName": "string",
189 "lastModifiedByName": "string",
190 "displayId": "string",
191 "name": "string",
192 "type": "Group1"
193 },
194 "group2": {
195 "id": 0,
196 "createdOn": "2019-08-24T14:15:22Z",
197 "createdById": "string",
198 "modifiedOn": "2019-08-24T14:15:22Z",
199 "modifiedById": "string",
200 "createdByName": "string",
201 "lastModifiedByName": "string",
202 "displayId": "string",
203 "name": "string",
204 "type": "Group1"
205 },
206 "belongToBudget": {},
207 "totalRequestedAmount": 0,
208 "totalExpense": 0,
209 "totalSpent": 0,
210 "originalRequestedAmount": 0,
211 "modifiedAmount": 0,
212 "currentAvailable": 0,
213 "splitYears": "string",
214 "modificationId": 0,
215 "requestCategory": {
216 "id": 0,
217 "createdOn": "2019-08-24T14:15:22Z",
218 "createdById": "string",
219 "modifiedOn": "2019-08-24T14:15:22Z",
220 "modifiedById": "string",
221 "createdByName": "string",
222 "lastModifiedByName": "string",
223 "displayId": "string",
224 "title": "string",
225 "subTitle": "string",
226 "icon": "string",
227 "budgetTitle": "string",
228 "budgetSubTitle": "string",
229 "investmentTitle": "string",
230 "investmentSubTitle": "string"
231 },
232 "leaseArea": {
233 "id": 0,
234 "status": "CREATED",
235 "displayId": "string",
236 "name": "string",
237 "businessUnitId": 0
238 },
239 "businessUnit": {
240 "id": 0,
241 "status": "CREATED",
242 "displayId": "string",
243 "name": "string",
244 "leaseAreaId": 0,
245 "companyId": 0
246 },
247 "company": {
248 "id": 0,
249 "status": "CREATED",
250 "displayId": "string",
251 "erpSystemId": 0,
252 "erpSystemDisplayId": "string",
253 "countryId": 0,
254 "countryDisplayId": "string",
255 "postingPeriodVariantId": 0,
256 "name": "string",
257 "postingPeriodVariantDisplayId": "string",
258 "controllingAreaId": 0,
259 "controllingAreaDisplayId": "string",
260 "chartOfAccountId": 0,
261 "chartOfAccountDisplayId": "string",
262 "fiscalVariantId": 0,
263 "fiscalVariantDisplayId": "string",
264 "chartOfDepreciationId": 0,
265 "chartOfDepreciationDisplayId": "string",
266 "purchasingOrganizationId": 0,
267 "assetId": 0,
268 "exchangeRateTypeId": 0,
269 "plantId": 0,
270 "incrementalBorrowingRateId": 0,
271 "businessUnitId": 0,
272 "projectId": 0,
273 "transferVariantId": 0,
274 "partnerId": 0,
275 "departmentId": 0,
276 "accountingStandardId": 0,
277 "generalLedgerAccountId": 0,
278 "consumerPriceIndexCategoryId": 0,
279 "costCenterId": 0,
280 "costCenterRelationValidFrom": "2019-08-24",
281 "costCenterRelationValidTo": "2019-08-24"
282 },
283 "department": {
284 "id": 0,
285 "status": "CREATED",
286 "displayId": "string",
287 "name": "string",
288 "companyId": 0,
289 "leaseGroupId": 0
290 }
291 },
292 "nimBudgetInvestmentAreaDto": {
293 "id": 0,
294 "createdOn": "2019-08-24T14:15:22Z",
295 "createdById": "string",
296 "modifiedOn": "2019-08-24T14:15:22Z",
297 "modifiedById": "string",
298 "createdByName": "string",
299 "lastModifiedByName": "string",
300 "amount": 0,
301 "originalCurrencyId": 0,
302 "originalCurrencyDisplayId": "string",
303 "originalAmount": 0,
304 "rate": 0,
305 "rateDate": "2019-08-24",
306 "investmentAreaId": 0,
307 "investmentArea": {
308 "id": 0,
309 "createdOn": "2019-08-24T14:15:22Z",
310 "createdById": "string",
311 "modifiedOn": "2019-08-24T14:15:22Z",
312 "modifiedById": "string",
313 "createdByName": "string",
314 "lastModifiedByName": "string",
315 "displayId": "string",
316 "name": "string",
317 "assetClasses": [
318 0
319 ]
320 },
321 "budgetYearDistributions": [
322 {
323 "id": 0,
324 "createdOn": "2019-08-24T14:15:22Z",
325 "createdById": "string",
326 "modifiedOn": "2019-08-24T14:15:22Z",
327 "modifiedById": "string",
328 "createdByName": "string",
329 "lastModifiedByName": "string",
330 "year": 0,
331 "amount": 0,
332 "originalCurrencyId": 0,
333 "originalCurrencyDisplayId": "string",
334 "originalAmount": 0,
335 "rate": 0,
336 "rateDate": "2019-08-24",
337 "spent": 0,
338 "budgetInvestmentAreaId": 0
339 }
340 ],
341 "investmentRequest": {
342 "id": 0,
343 "createdOn": "2019-08-24T14:15:22Z",
344 "createdById": "string",
345 "modifiedOn": "2019-08-24T14:15:22Z",
346 "modifiedById": "string",
347 "createdByName": "string",
348 "lastModifiedByName": "string",
349 "requestedAmount": 0,
350 "companyCurrency": "string",
351 "investmentAreaIds": [
352 0
353 ],
354 "requestCategoryId": 0,
355 "displayId": "string",
356 "leaseAreaId": 0,
357 "leaseAreaDisplayId": "string",
358 "leaseAreaName": "string",
359 "businessUnitId": 0,
360 "businessUnitDisplayId": "string",
361 "companyId": 0,
362 "companyDisplayId": "string",
363 "departmentId": 0,
364 "departmentDisplayId": "string",
365 "title": "string",
366 "investmentCurrencyId": 0,
367 "investmentCurrencyDisplayId": "string",
368 "companyCurrencyId": 0,
369 "companyCurrencyDisplayId": "string",
370 "reportingCurrencyId": 0,
371 "reportingCurrencyDisplayId": "string",
372 "masterInvestmentRequestId": 0,
373 "inceptionExchangeRate": 0,
374 "exchangeRateValidFrom": "2019-08-24",
375 "weightedAverageExchangeRate": 0,
376 "status": "DRAFT",
377 "workflowStepName": "string",
378 "description": "string",
379 "justification": "string",
380 "totalRequestedAmount": 0,
381 "totalExpense": 0,
382 "totalSpent": 0,
383 "originalRequestedAmount": 0,
384 "modifiedAmount": 0,
385 "currentAvailable": 0,
386 "modificationId": 0,
387 "requestCategory": {
388 "id": 0,
389 "createdOn": "2019-08-24T14:15:22Z",
390 "createdById": "string",
391 "modifiedOn": "2019-08-24T14:15:22Z",
392 "modifiedById": "string",
393 "createdByName": "string",
394 "lastModifiedByName": "string",
395 "displayId": "string",
396 "title": "string",
397 "subTitle": "string",
398 "icon": "string",
399 "budgetTitle": "string",
400 "budgetSubTitle": "string",
401 "investmentTitle": "string",
402 "investmentSubTitle": "string"
403 },
404 "expectedInitiationDate": "2019-08-24",
405 "expectedCompletionDate": "2019-08-24",
406 "actualInitiationDate": "2019-08-24",
407 "actualCompletionDate": "2019-08-24",
408 "requestUrgency": "string",
409 "leaseArea": {
410 "id": 0,
411 "status": "CREATED",
412 "displayId": "string",
413 "name": "string",
414 "businessUnitId": 0
415 },
416 "businessUnit": {
417 "id": 0,
418 "status": "CREATED",
419 "displayId": "string",
420 "name": "string",
421 "leaseAreaId": 0,
422 "companyId": 0
423 },
424 "company": {
425 "id": 0,
426 "status": "CREATED",
427 "displayId": "string",
428 "erpSystemId": 0,
429 "erpSystemDisplayId": "string",
430 "countryId": 0,
431 "countryDisplayId": "string",
432 "postingPeriodVariantId": 0,
433 "name": "string",
434 "postingPeriodVariantDisplayId": "string",
435 "controllingAreaId": 0,
436 "controllingAreaDisplayId": "string",
437 "chartOfAccountId": 0,
438 "chartOfAccountDisplayId": "string",
439 "fiscalVariantId": 0,
440 "fiscalVariantDisplayId": "string",
441 "chartOfDepreciationId": 0,
442 "chartOfDepreciationDisplayId": "string",
443 "purchasingOrganizationId": 0,
444 "assetId": 0,
445 "exchangeRateTypeId": 0,
446 "plantId": 0,
447 "incrementalBorrowingRateId": 0,
448 "businessUnitId": 0,
449 "projectId": 0,
450 "transferVariantId": 0,
451 "partnerId": 0,
452 "departmentId": 0,
453 "accountingStandardId": 0,
454 "generalLedgerAccountId": 0,
455 "consumerPriceIndexCategoryId": 0,
456 "costCenterId": 0,
457 "costCenterRelationValidFrom": "2019-08-24",
458 "costCenterRelationValidTo": "2019-08-24"
459 },
460 "department": {
461 "id": 0,
462 "status": "CREATED",
463 "displayId": "string",
464 "name": "string",
465 "companyId": 0,
466 "leaseGroupId": 0
467 },
468 "linkedBudgets": [
469 {
470 "id": 0,
471 "createdOn": "2019-08-24T14:15:22Z",
472 "createdById": "string",
473 "modifiedOn": "2019-08-24T14:15:22Z",
474 "modifiedById": "string",
475 "createdByName": "string",
476 "lastModifiedByName": "string",
477 "requestCategoryId": 0,
478 "year": 0,
479 "displayId": "string",
480 "project": "string",
481 "requestCategory": {
482 "id": 0,
483 "createdOn": "2019-08-24T14:15:22Z",
484 "createdById": "string",
485 "modifiedOn": "2019-08-24T14:15:22Z",
486 "modifiedById": "string",
487 "createdByName": "string",
488 "lastModifiedByName": "string",
489 "displayId": "string",
490 "title": "string",
491 "subTitle": "string",
492 "icon": "string",
493 "budgetTitle": "string",
494 "budgetSubTitle": "string",
495 "investmentTitle": "string",
496 "investmentSubTitle": "string"
497 }
498 }
499 ],
500 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
501 0
502 ]
503 },
504 "investmentRequests": [
505 {
506 "id": 0,
507 "createdOn": "2019-08-24T14:15:22Z",
508 "createdById": "string",
509 "modifiedOn": "2019-08-24T14:15:22Z",
510 "modifiedById": "string",
511 "createdByName": "string",
512 "lastModifiedByName": "string",
513 "requestedAmount": 0,
514 "companyCurrency": "string",
515 "investmentAreaIds": [
516 0
517 ],
518 "requestCategoryId": 0,
519 "displayId": "string",
520 "leaseAreaId": 0,
521 "leaseAreaDisplayId": "string",
522 "leaseAreaName": "string",
523 "businessUnitId": 0,
524 "businessUnitDisplayId": "string",
525 "companyId": 0,
526 "companyDisplayId": "string",
527 "departmentId": 0,
528 "departmentDisplayId": "string",
529 "title": "string",
530 "investmentCurrencyId": 0,
531 "investmentCurrencyDisplayId": "string",
532 "companyCurrencyId": 0,
533 "companyCurrencyDisplayId": "string",
534 "reportingCurrencyId": 0,
535 "reportingCurrencyDisplayId": "string",
536 "masterInvestmentRequestId": 0,
537 "inceptionExchangeRate": 0,
538 "exchangeRateValidFrom": "2019-08-24",
539 "weightedAverageExchangeRate": 0,
540 "status": "DRAFT",
541 "workflowStepName": "string",
542 "description": "string",
543 "justification": "string",
544 "totalRequestedAmount": 0,
545 "totalExpense": 0,
546 "totalSpent": 0,
547 "originalRequestedAmount": 0,
548 "modifiedAmount": 0,
549 "currentAvailable": 0,
550 "modificationId": 0,
551 "requestCategory": {
552 "id": 0,
553 "createdOn": "2019-08-24T14:15:22Z",
554 "createdById": "string",
555 "modifiedOn": "2019-08-24T14:15:22Z",
556 "modifiedById": "string",
557 "createdByName": "string",
558 "lastModifiedByName": "string",
559 "displayId": "string",
560 "title": "string",
561 "subTitle": "string",
562 "icon": "string",
563 "budgetTitle": "string",
564 "budgetSubTitle": "string",
565 "investmentTitle": "string",
566 "investmentSubTitle": "string"
567 },
568 "expectedInitiationDate": "2019-08-24",
569 "expectedCompletionDate": "2019-08-24",
570 "actualInitiationDate": "2019-08-24",
571 "actualCompletionDate": "2019-08-24",
572 "requestUrgency": "string",
573 "leaseArea": {
574 "id": 0,
575 "status": "CREATED",
576 "displayId": "string",
577 "name": "string",
578 "businessUnitId": 0
579 },
580 "businessUnit": {
581 "id": 0,
582 "status": "CREATED",
583 "displayId": "string",
584 "name": "string",
585 "leaseAreaId": 0,
586 "companyId": 0
587 },
588 "company": {
589 "id": 0,
590 "status": "CREATED",
591 "displayId": "string",
592 "erpSystemId": 0,
593 "erpSystemDisplayId": "string",
594 "countryId": 0,
595 "countryDisplayId": "string",
596 "postingPeriodVariantId": 0,
597 "name": "string",
598 "postingPeriodVariantDisplayId": "string",
599 "controllingAreaId": 0,
600 "controllingAreaDisplayId": "string",
601 "chartOfAccountId": 0,
602 "chartOfAccountDisplayId": "string",
603 "fiscalVariantId": 0,
604 "fiscalVariantDisplayId": "string",
605 "chartOfDepreciationId": 0,
606 "chartOfDepreciationDisplayId": "string",
607 "purchasingOrganizationId": 0,
608 "assetId": 0,
609 "exchangeRateTypeId": 0,
610 "plantId": 0,
611 "incrementalBorrowingRateId": 0,
612 "businessUnitId": 0,
613 "projectId": 0,
614 "transferVariantId": 0,
615 "partnerId": 0,
616 "departmentId": 0,
617 "accountingStandardId": 0,
618 "generalLedgerAccountId": 0,
619 "consumerPriceIndexCategoryId": 0,
620 "costCenterId": 0,
621 "costCenterRelationValidFrom": "2019-08-24",
622 "costCenterRelationValidTo": "2019-08-24"
623 },
624 "department": {
625 "id": 0,
626 "status": "CREATED",
627 "displayId": "string",
628 "name": "string",
629 "companyId": 0,
630 "leaseGroupId": 0
631 },
632 "linkedBudgets": [
633 {
634 "id": 0,
635 "createdOn": "2019-08-24T14:15:22Z",
636 "createdById": "string",
637 "modifiedOn": "2019-08-24T14:15:22Z",
638 "modifiedById": "string",
639 "createdByName": "string",
640 "lastModifiedByName": "string",
641 "requestCategoryId": 0,
642 "year": 0,
643 "displayId": "string",
644 "project": "string",
645 "requestCategory": {
646 "id": 0,
647 "createdOn": "2019-08-24T14:15:22Z",
648 "createdById": "string",
649 "modifiedOn": "2019-08-24T14:15:22Z",
650 "modifiedById": "string",
651 "createdByName": "string",
652 "lastModifiedByName": "string",
653 "displayId": "string",
654 "title": "string",
655 "subTitle": "string",
656 "icon": "string",
657 "budgetTitle": "string",
658 "budgetSubTitle": "string",
659 "investmentTitle": "string",
660 "investmentSubTitle": "string"
661 }
662 }
663 ],
664 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
665 0
666 ]
667 }
668 ],
669 "totalSpent": 0,
670 "totalReserved": 0,
671 "budgetBalance": 0
672 },
673 "nimInvestmentAreaDto": {
674 "id": 0,
675 "createdOn": "2019-08-24T14:15:22Z",
676 "createdById": "string",
677 "modifiedOn": "2019-08-24T14:15:22Z",
678 "modifiedById": "string",
679 "createdByName": "string",
680 "lastModifiedByName": "string",
681 "displayId": "string",
682 "name": "string",
683 "assetClasses": [
684 0
685 ]
686 }
687 }
688 ],
689 "remaining": 0,
690 "usedPecentage": 0
691}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Delete Budget¶
HTTP Request
DELETE /api/budget/{id}
📋 Description: Deletes a specified budget entry identified by its unique ID, ensuring the removal of outdated or unnecessary financial records from the system.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
204 |
No Content |
None |
Create Budget¶
HTTP Request
POST /api/budget
📋 Description: Creates a new budget entry, allowing organizations to allocate financial resources effectively and manage their fiscal planning.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing the budget allocation details, including amounts, categories, and relevant metadata for financial planning. |
Body Parameters
1{
2 "id": 0,
3 "createdBy": "string",
4 "createdAt": "2019-08-24T14:15:22Z",
5 "workOrderIds": [
6 0
7 ],
8 "totalFinalCost": 0,
9 "budgetType": "string",
10 "premiseId": 0,
11 "premiseDisplayId": "string",
12 "totalBudget": 0,
13 "startDate": "2019-08-24",
14 "endDate": "2019-08-24",
15 "premiseAvailable": true,
16 "nimBudgetLinkDtos": [
17 {
18 "id": 0,
19 "createdBy": "string",
20 "createdAt": "2019-08-24T14:15:22Z",
21 "nimBudgetId": 0,
22 "nimInvestmentAreaId": 0,
23 "nimBudgetDto": {
24 "id": 0,
25 "createdOn": "2019-08-24T14:15:22Z",
26 "createdById": "string",
27 "modifiedOn": "2019-08-24T14:15:22Z",
28 "modifiedById": "string",
29 "createdByName": "string",
30 "lastModifiedByName": "string",
31 "requestedAmount": 0,
32 "spent": 0,
33 "companyCurrency": "string",
34 "endYear": 0,
35 "internalAssetClassIds": "string",
36 "availableCombos": "string",
37 "belongToBudgetId": 0,
38 "postedAssetExists": true,
39 "childrenIds": [
40 0
41 ],
42 "investmentAreaIds": [
43 0
44 ],
45 "investmentRequestToInvestmentArea": {
46 "id": 0,
47 "createdOn": "2019-08-24T14:15:22Z",
48 "createdById": "string",
49 "modifiedOn": "2019-08-24T14:15:22Z",
50 "modifiedById": "string",
51 "createdByName": "string",
52 "lastModifiedByName": "string",
53 "amount": 0,
54 "originalCurrencyId": 0,
55 "originalCurrencyDisplayId": "string",
56 "originalAmount": 0,
57 "rate": 0,
58 "rateDate": "2019-08-24",
59 "investmentAreaId": 0,
60 "investmentArea": {
61 "id": 0,
62 "createdOn": "2019-08-24T14:15:22Z",
63 "createdById": "string",
64 "modifiedOn": "2019-08-24T14:15:22Z",
65 "modifiedById": "string",
66 "createdByName": "string",
67 "lastModifiedByName": "string",
68 "displayId": "string",
69 "name": "string",
70 "assetClasses": [
71 0
72 ]
73 },
74 "investmentRequestYearDistributions": [
75 {
76 "id": 0,
77 "createdOn": "2019-08-24T14:15:22Z",
78 "createdById": "string",
79 "modifiedOn": "2019-08-24T14:15:22Z",
80 "modifiedById": "string",
81 "createdByName": "string",
82 "lastModifiedByName": "string",
83 "year": 0,
84 "amount": 0,
85 "originalCurrencyId": 0,
86 "originalCurrencyDisplayId": "string",
87 "originalAmount": 0,
88 "rate": 0,
89 "rateDate": "2019-08-24",
90 "spent": 0,
91 "investmentRequestToInvestmentAreaId": 0
92 }
93 ],
94 "totalSpent": 0,
95 "totalReserved": 0,
96 "balance": 0,
97 "linkedBudgets": [
98 {
99 "id": 0,
100 "createdOn": "2019-08-24T14:15:22Z",
101 "createdById": "string",
102 "modifiedOn": "2019-08-24T14:15:22Z",
103 "modifiedById": "string",
104 "createdByName": "string",
105 "lastModifiedByName": "string",
106 "requestCategoryId": 0,
107 "year": 0,
108 "displayId": "string",
109 "project": "string",
110 "requestCategory": {
111 "id": 0,
112 "createdOn": "2019-08-24T14:15:22Z",
113 "createdById": "string",
114 "modifiedOn": "2019-08-24T14:15:22Z",
115 "modifiedById": "string",
116 "createdByName": "string",
117 "lastModifiedByName": "string",
118 "displayId": "string",
119 "title": "string",
120 "subTitle": "string",
121 "icon": "string",
122 "budgetTitle": "string",
123 "budgetSubTitle": "string",
124 "investmentTitle": "string",
125 "investmentSubTitle": "string"
126 }
127 }
128 ]
129 },
130 "investmentRequestYearDistribution": {
131 "id": 0,
132 "createdOn": "2019-08-24T14:15:22Z",
133 "createdById": "string",
134 "modifiedOn": "2019-08-24T14:15:22Z",
135 "modifiedById": "string",
136 "createdByName": "string",
137 "lastModifiedByName": "string",
138 "year": 0,
139 "amount": 0,
140 "originalCurrencyId": 0,
141 "originalCurrencyDisplayId": "string",
142 "originalAmount": 0,
143 "rate": 0,
144 "rateDate": "2019-08-24",
145 "spent": 0,
146 "investmentRequestToInvestmentAreaId": 0
147 },
148 "investmentRequestId": 0,
149 "investmentRequestDisplayId": "string",
150 "investmentRequestTitle": "string",
151 "requestCategoryId": 0,
152 "year": 0,
153 "displayId": "string",
154 "leaseAreaId": 0,
155 "leaseAreaDisplayId": "string",
156 "leaseAreaName": "string",
157 "businessUnitId": 0,
158 "businessUnitDisplayId": "string",
159 "companyId": 0,
160 "companyDisplayId": "string",
161 "departmentId": 0,
162 "departmentDisplayId": "string",
163 "project": "string",
164 "companyCurrencyId": 0,
165 "companyCurrencyDisplayId": "string",
166 "reportingCurrencyId": 0,
167 "reportingCurrencyDisplayId": "string",
168 "masterBudgetId": 0,
169 "archived": true,
170 "inceptionExchangeRate": 0,
171 "exchangeRateValidFrom": "2019-08-24",
172 "weightedAverageExchangeRate": 0,
173 "status": "DRAFT",
174 "workflowStepName": "string",
175 "forcastYearStart": 0,
176 "forcastYearEnd": 0,
177 "actualYearStart": 0,
178 "actualYearEnd": 0,
179 "projectDescription": "string",
180 "projectJustification": "string",
181 "sponsor": "string",
182 "group1": {
183 "id": 0,
184 "createdOn": "2019-08-24T14:15:22Z",
185 "createdById": "string",
186 "modifiedOn": "2019-08-24T14:15:22Z",
187 "modifiedById": "string",
188 "createdByName": "string",
189 "lastModifiedByName": "string",
190 "displayId": "string",
191 "name": "string",
192 "type": "Group1"
193 },
194 "group2": {
195 "id": 0,
196 "createdOn": "2019-08-24T14:15:22Z",
197 "createdById": "string",
198 "modifiedOn": "2019-08-24T14:15:22Z",
199 "modifiedById": "string",
200 "createdByName": "string",
201 "lastModifiedByName": "string",
202 "displayId": "string",
203 "name": "string",
204 "type": "Group1"
205 },
206 "belongToBudget": {},
207 "totalRequestedAmount": 0,
208 "totalExpense": 0,
209 "totalSpent": 0,
210 "originalRequestedAmount": 0,
211 "modifiedAmount": 0,
212 "currentAvailable": 0,
213 "splitYears": "string",
214 "modificationId": 0,
215 "requestCategory": {
216 "id": 0,
217 "createdOn": "2019-08-24T14:15:22Z",
218 "createdById": "string",
219 "modifiedOn": "2019-08-24T14:15:22Z",
220 "modifiedById": "string",
221 "createdByName": "string",
222 "lastModifiedByName": "string",
223 "displayId": "string",
224 "title": "string",
225 "subTitle": "string",
226 "icon": "string",
227 "budgetTitle": "string",
228 "budgetSubTitle": "string",
229 "investmentTitle": "string",
230 "investmentSubTitle": "string"
231 },
232 "leaseArea": {
233 "id": 0,
234 "status": "CREATED",
235 "displayId": "string",
236 "name": "string",
237 "businessUnitId": 0
238 },
239 "businessUnit": {
240 "id": 0,
241 "status": "CREATED",
242 "displayId": "string",
243 "name": "string",
244 "leaseAreaId": 0,
245 "companyId": 0
246 },
247 "company": {
248 "id": 0,
249 "status": "CREATED",
250 "displayId": "string",
251 "erpSystemId": 0,
252 "erpSystemDisplayId": "string",
253 "countryId": 0,
254 "countryDisplayId": "string",
255 "postingPeriodVariantId": 0,
256 "name": "string",
257 "postingPeriodVariantDisplayId": "string",
258 "controllingAreaId": 0,
259 "controllingAreaDisplayId": "string",
260 "chartOfAccountId": 0,
261 "chartOfAccountDisplayId": "string",
262 "fiscalVariantId": 0,
263 "fiscalVariantDisplayId": "string",
264 "chartOfDepreciationId": 0,
265 "chartOfDepreciationDisplayId": "string",
266 "purchasingOrganizationId": 0,
267 "assetId": 0,
268 "exchangeRateTypeId": 0,
269 "plantId": 0,
270 "incrementalBorrowingRateId": 0,
271 "businessUnitId": 0,
272 "projectId": 0,
273 "transferVariantId": 0,
274 "partnerId": 0,
275 "departmentId": 0,
276 "accountingStandardId": 0,
277 "generalLedgerAccountId": 0,
278 "consumerPriceIndexCategoryId": 0,
279 "costCenterId": 0,
280 "costCenterRelationValidFrom": "2019-08-24",
281 "costCenterRelationValidTo": "2019-08-24"
282 },
283 "department": {
284 "id": 0,
285 "status": "CREATED",
286 "displayId": "string",
287 "name": "string",
288 "companyId": 0,
289 "leaseGroupId": 0
290 }
291 },
292 "nimBudgetInvestmentAreaDto": {
293 "id": 0,
294 "createdOn": "2019-08-24T14:15:22Z",
295 "createdById": "string",
296 "modifiedOn": "2019-08-24T14:15:22Z",
297 "modifiedById": "string",
298 "createdByName": "string",
299 "lastModifiedByName": "string",
300 "amount": 0,
301 "originalCurrencyId": 0,
302 "originalCurrencyDisplayId": "string",
303 "originalAmount": 0,
304 "rate": 0,
305 "rateDate": "2019-08-24",
306 "investmentAreaId": 0,
307 "investmentArea": {
308 "id": 0,
309 "createdOn": "2019-08-24T14:15:22Z",
310 "createdById": "string",
311 "modifiedOn": "2019-08-24T14:15:22Z",
312 "modifiedById": "string",
313 "createdByName": "string",
314 "lastModifiedByName": "string",
315 "displayId": "string",
316 "name": "string",
317 "assetClasses": [
318 0
319 ]
320 },
321 "budgetYearDistributions": [
322 {
323 "id": 0,
324 "createdOn": "2019-08-24T14:15:22Z",
325 "createdById": "string",
326 "modifiedOn": "2019-08-24T14:15:22Z",
327 "modifiedById": "string",
328 "createdByName": "string",
329 "lastModifiedByName": "string",
330 "year": 0,
331 "amount": 0,
332 "originalCurrencyId": 0,
333 "originalCurrencyDisplayId": "string",
334 "originalAmount": 0,
335 "rate": 0,
336 "rateDate": "2019-08-24",
337 "spent": 0,
338 "budgetInvestmentAreaId": 0
339 }
340 ],
341 "investmentRequest": {
342 "id": 0,
343 "createdOn": "2019-08-24T14:15:22Z",
344 "createdById": "string",
345 "modifiedOn": "2019-08-24T14:15:22Z",
346 "modifiedById": "string",
347 "createdByName": "string",
348 "lastModifiedByName": "string",
349 "requestedAmount": 0,
350 "companyCurrency": "string",
351 "investmentAreaIds": [
352 0
353 ],
354 "requestCategoryId": 0,
355 "displayId": "string",
356 "leaseAreaId": 0,
357 "leaseAreaDisplayId": "string",
358 "leaseAreaName": "string",
359 "businessUnitId": 0,
360 "businessUnitDisplayId": "string",
361 "companyId": 0,
362 "companyDisplayId": "string",
363 "departmentId": 0,
364 "departmentDisplayId": "string",
365 "title": "string",
366 "investmentCurrencyId": 0,
367 "investmentCurrencyDisplayId": "string",
368 "companyCurrencyId": 0,
369 "companyCurrencyDisplayId": "string",
370 "reportingCurrencyId": 0,
371 "reportingCurrencyDisplayId": "string",
372 "masterInvestmentRequestId": 0,
373 "inceptionExchangeRate": 0,
374 "exchangeRateValidFrom": "2019-08-24",
375 "weightedAverageExchangeRate": 0,
376 "status": "DRAFT",
377 "workflowStepName": "string",
378 "description": "string",
379 "justification": "string",
380 "totalRequestedAmount": 0,
381 "totalExpense": 0,
382 "totalSpent": 0,
383 "originalRequestedAmount": 0,
384 "modifiedAmount": 0,
385 "currentAvailable": 0,
386 "modificationId": 0,
387 "requestCategory": {
388 "id": 0,
389 "createdOn": "2019-08-24T14:15:22Z",
390 "createdById": "string",
391 "modifiedOn": "2019-08-24T14:15:22Z",
392 "modifiedById": "string",
393 "createdByName": "string",
394 "lastModifiedByName": "string",
395 "displayId": "string",
396 "title": "string",
397 "subTitle": "string",
398 "icon": "string",
399 "budgetTitle": "string",
400 "budgetSubTitle": "string",
401 "investmentTitle": "string",
402 "investmentSubTitle": "string"
403 },
404 "expectedInitiationDate": "2019-08-24",
405 "expectedCompletionDate": "2019-08-24",
406 "actualInitiationDate": "2019-08-24",
407 "actualCompletionDate": "2019-08-24",
408 "requestUrgency": "string",
409 "leaseArea": {
410 "id": 0,
411 "status": "CREATED",
412 "displayId": "string",
413 "name": "string",
414 "businessUnitId": 0
415 },
416 "businessUnit": {
417 "id": 0,
418 "status": "CREATED",
419 "displayId": "string",
420 "name": "string",
421 "leaseAreaId": 0,
422 "companyId": 0
423 },
424 "company": {
425 "id": 0,
426 "status": "CREATED",
427 "displayId": "string",
428 "erpSystemId": 0,
429 "erpSystemDisplayId": "string",
430 "countryId": 0,
431 "countryDisplayId": "string",
432 "postingPeriodVariantId": 0,
433 "name": "string",
434 "postingPeriodVariantDisplayId": "string",
435 "controllingAreaId": 0,
436 "controllingAreaDisplayId": "string",
437 "chartOfAccountId": 0,
438 "chartOfAccountDisplayId": "string",
439 "fiscalVariantId": 0,
440 "fiscalVariantDisplayId": "string",
441 "chartOfDepreciationId": 0,
442 "chartOfDepreciationDisplayId": "string",
443 "purchasingOrganizationId": 0,
444 "assetId": 0,
445 "exchangeRateTypeId": 0,
446 "plantId": 0,
447 "incrementalBorrowingRateId": 0,
448 "businessUnitId": 0,
449 "projectId": 0,
450 "transferVariantId": 0,
451 "partnerId": 0,
452 "departmentId": 0,
453 "accountingStandardId": 0,
454 "generalLedgerAccountId": 0,
455 "consumerPriceIndexCategoryId": 0,
456 "costCenterId": 0,
457 "costCenterRelationValidFrom": "2019-08-24",
458 "costCenterRelationValidTo": "2019-08-24"
459 },
460 "department": {
461 "id": 0,
462 "status": "CREATED",
463 "displayId": "string",
464 "name": "string",
465 "companyId": 0,
466 "leaseGroupId": 0
467 },
468 "linkedBudgets": [
469 {
470 "id": 0,
471 "createdOn": "2019-08-24T14:15:22Z",
472 "createdById": "string",
473 "modifiedOn": "2019-08-24T14:15:22Z",
474 "modifiedById": "string",
475 "createdByName": "string",
476 "lastModifiedByName": "string",
477 "requestCategoryId": 0,
478 "year": 0,
479 "displayId": "string",
480 "project": "string",
481 "requestCategory": {
482 "id": 0,
483 "createdOn": "2019-08-24T14:15:22Z",
484 "createdById": "string",
485 "modifiedOn": "2019-08-24T14:15:22Z",
486 "modifiedById": "string",
487 "createdByName": "string",
488 "lastModifiedByName": "string",
489 "displayId": "string",
490 "title": "string",
491 "subTitle": "string",
492 "icon": "string",
493 "budgetTitle": "string",
494 "budgetSubTitle": "string",
495 "investmentTitle": "string",
496 "investmentSubTitle": "string"
497 }
498 }
499 ],
500 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
501 0
502 ]
503 },
504 "investmentRequests": [
505 {
506 "id": 0,
507 "createdOn": "2019-08-24T14:15:22Z",
508 "createdById": "string",
509 "modifiedOn": "2019-08-24T14:15:22Z",
510 "modifiedById": "string",
511 "createdByName": "string",
512 "lastModifiedByName": "string",
513 "requestedAmount": 0,
514 "companyCurrency": "string",
515 "investmentAreaIds": [
516 0
517 ],
518 "requestCategoryId": 0,
519 "displayId": "string",
520 "leaseAreaId": 0,
521 "leaseAreaDisplayId": "string",
522 "leaseAreaName": "string",
523 "businessUnitId": 0,
524 "businessUnitDisplayId": "string",
525 "companyId": 0,
526 "companyDisplayId": "string",
527 "departmentId": 0,
528 "departmentDisplayId": "string",
529 "title": "string",
530 "investmentCurrencyId": 0,
531 "investmentCurrencyDisplayId": "string",
532 "companyCurrencyId": 0,
533 "companyCurrencyDisplayId": "string",
534 "reportingCurrencyId": 0,
535 "reportingCurrencyDisplayId": "string",
536 "masterInvestmentRequestId": 0,
537 "inceptionExchangeRate": 0,
538 "exchangeRateValidFrom": "2019-08-24",
539 "weightedAverageExchangeRate": 0,
540 "status": "DRAFT",
541 "workflowStepName": "string",
542 "description": "string",
543 "justification": "string",
544 "totalRequestedAmount": 0,
545 "totalExpense": 0,
546 "totalSpent": 0,
547 "originalRequestedAmount": 0,
548 "modifiedAmount": 0,
549 "currentAvailable": 0,
550 "modificationId": 0,
551 "requestCategory": {
552 "id": 0,
553 "createdOn": "2019-08-24T14:15:22Z",
554 "createdById": "string",
555 "modifiedOn": "2019-08-24T14:15:22Z",
556 "modifiedById": "string",
557 "createdByName": "string",
558 "lastModifiedByName": "string",
559 "displayId": "string",
560 "title": "string",
561 "subTitle": "string",
562 "icon": "string",
563 "budgetTitle": "string",
564 "budgetSubTitle": "string",
565 "investmentTitle": "string",
566 "investmentSubTitle": "string"
567 },
568 "expectedInitiationDate": "2019-08-24",
569 "expectedCompletionDate": "2019-08-24",
570 "actualInitiationDate": "2019-08-24",
571 "actualCompletionDate": "2019-08-24",
572 "requestUrgency": "string",
573 "leaseArea": {
574 "id": 0,
575 "status": "CREATED",
576 "displayId": "string",
577 "name": "string",
578 "businessUnitId": 0
579 },
580 "businessUnit": {
581 "id": 0,
582 "status": "CREATED",
583 "displayId": "string",
584 "name": "string",
585 "leaseAreaId": 0,
586 "companyId": 0
587 },
588 "company": {
589 "id": 0,
590 "status": "CREATED",
591 "displayId": "string",
592 "erpSystemId": 0,
593 "erpSystemDisplayId": "string",
594 "countryId": 0,
595 "countryDisplayId": "string",
596 "postingPeriodVariantId": 0,
597 "name": "string",
598 "postingPeriodVariantDisplayId": "string",
599 "controllingAreaId": 0,
600 "controllingAreaDisplayId": "string",
601 "chartOfAccountId": 0,
602 "chartOfAccountDisplayId": "string",
603 "fiscalVariantId": 0,
604 "fiscalVariantDisplayId": "string",
605 "chartOfDepreciationId": 0,
606 "chartOfDepreciationDisplayId": "string",
607 "purchasingOrganizationId": 0,
608 "assetId": 0,
609 "exchangeRateTypeId": 0,
610 "plantId": 0,
611 "incrementalBorrowingRateId": 0,
612 "businessUnitId": 0,
613 "projectId": 0,
614 "transferVariantId": 0,
615 "partnerId": 0,
616 "departmentId": 0,
617 "accountingStandardId": 0,
618 "generalLedgerAccountId": 0,
619 "consumerPriceIndexCategoryId": 0,
620 "costCenterId": 0,
621 "costCenterRelationValidFrom": "2019-08-24",
622 "costCenterRelationValidTo": "2019-08-24"
623 },
624 "department": {
625 "id": 0,
626 "status": "CREATED",
627 "displayId": "string",
628 "name": "string",
629 "companyId": 0,
630 "leaseGroupId": 0
631 },
632 "linkedBudgets": [
633 {
634 "id": 0,
635 "createdOn": "2019-08-24T14:15:22Z",
636 "createdById": "string",
637 "modifiedOn": "2019-08-24T14:15:22Z",
638 "modifiedById": "string",
639 "createdByName": "string",
640 "lastModifiedByName": "string",
641 "requestCategoryId": 0,
642 "year": 0,
643 "displayId": "string",
644 "project": "string",
645 "requestCategory": {
646 "id": 0,
647 "createdOn": "2019-08-24T14:15:22Z",
648 "createdById": "string",
649 "modifiedOn": "2019-08-24T14:15:22Z",
650 "modifiedById": "string",
651 "createdByName": "string",
652 "lastModifiedByName": "string",
653 "displayId": "string",
654 "title": "string",
655 "subTitle": "string",
656 "icon": "string",
657 "budgetTitle": "string",
658 "budgetSubTitle": "string",
659 "investmentTitle": "string",
660 "investmentSubTitle": "string"
661 }
662 }
663 ],
664 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
665 0
666 ]
667 }
668 ],
669 "totalSpent": 0,
670 "totalReserved": 0,
671 "budgetBalance": 0
672 },
673 "nimInvestmentAreaDto": {
674 "id": 0,
675 "createdOn": "2019-08-24T14:15:22Z",
676 "createdById": "string",
677 "modifiedOn": "2019-08-24T14:15:22Z",
678 "modifiedById": "string",
679 "createdByName": "string",
680 "lastModifiedByName": "string",
681 "displayId": "string",
682 "name": "string",
683 "assetClasses": [
684 0
685 ]
686 }
687 }
688 ],
689 "remaining": 0,
690 "usedPecentage": 0
691}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
201 |
Created |
Example Responses
1{
2 "id": 0,
3 "createdBy": "string",
4 "createdAt": "2019-08-24T14:15:22Z",
5 "workOrderIds": [
6 0
7 ],
8 "totalFinalCost": 0,
9 "budgetType": "string",
10 "premiseId": 0,
11 "premiseDisplayId": "string",
12 "totalBudget": 0,
13 "startDate": "2019-08-24",
14 "endDate": "2019-08-24",
15 "premiseAvailable": true,
16 "nimBudgetLinkDtos": [
17 {
18 "id": 0,
19 "createdBy": "string",
20 "createdAt": "2019-08-24T14:15:22Z",
21 "nimBudgetId": 0,
22 "nimInvestmentAreaId": 0,
23 "nimBudgetDto": {
24 "id": 0,
25 "createdOn": "2019-08-24T14:15:22Z",
26 "createdById": "string",
27 "modifiedOn": "2019-08-24T14:15:22Z",
28 "modifiedById": "string",
29 "createdByName": "string",
30 "lastModifiedByName": "string",
31 "requestedAmount": 0,
32 "spent": 0,
33 "companyCurrency": "string",
34 "endYear": 0,
35 "internalAssetClassIds": "string",
36 "availableCombos": "string",
37 "belongToBudgetId": 0,
38 "postedAssetExists": true,
39 "childrenIds": [
40 0
41 ],
42 "investmentAreaIds": [
43 0
44 ],
45 "investmentRequestToInvestmentArea": {
46 "id": 0,
47 "createdOn": "2019-08-24T14:15:22Z",
48 "createdById": "string",
49 "modifiedOn": "2019-08-24T14:15:22Z",
50 "modifiedById": "string",
51 "createdByName": "string",
52 "lastModifiedByName": "string",
53 "amount": 0,
54 "originalCurrencyId": 0,
55 "originalCurrencyDisplayId": "string",
56 "originalAmount": 0,
57 "rate": 0,
58 "rateDate": "2019-08-24",
59 "investmentAreaId": 0,
60 "investmentArea": {
61 "id": 0,
62 "createdOn": "2019-08-24T14:15:22Z",
63 "createdById": "string",
64 "modifiedOn": "2019-08-24T14:15:22Z",
65 "modifiedById": "string",
66 "createdByName": "string",
67 "lastModifiedByName": "string",
68 "displayId": "string",
69 "name": "string",
70 "assetClasses": [
71 0
72 ]
73 },
74 "investmentRequestYearDistributions": [
75 {
76 "id": 0,
77 "createdOn": "2019-08-24T14:15:22Z",
78 "createdById": "string",
79 "modifiedOn": "2019-08-24T14:15:22Z",
80 "modifiedById": "string",
81 "createdByName": "string",
82 "lastModifiedByName": "string",
83 "year": 0,
84 "amount": 0,
85 "originalCurrencyId": 0,
86 "originalCurrencyDisplayId": "string",
87 "originalAmount": 0,
88 "rate": 0,
89 "rateDate": "2019-08-24",
90 "spent": 0,
91 "investmentRequestToInvestmentAreaId": 0
92 }
93 ],
94 "totalSpent": 0,
95 "totalReserved": 0,
96 "balance": 0,
97 "linkedBudgets": [
98 {
99 "id": 0,
100 "createdOn": "2019-08-24T14:15:22Z",
101 "createdById": "string",
102 "modifiedOn": "2019-08-24T14:15:22Z",
103 "modifiedById": "string",
104 "createdByName": "string",
105 "lastModifiedByName": "string",
106 "requestCategoryId": 0,
107 "year": 0,
108 "displayId": "string",
109 "project": "string",
110 "requestCategory": {
111 "id": 0,
112 "createdOn": "2019-08-24T14:15:22Z",
113 "createdById": "string",
114 "modifiedOn": "2019-08-24T14:15:22Z",
115 "modifiedById": "string",
116 "createdByName": "string",
117 "lastModifiedByName": "string",
118 "displayId": "string",
119 "title": "string",
120 "subTitle": "string",
121 "icon": "string",
122 "budgetTitle": "string",
123 "budgetSubTitle": "string",
124 "investmentTitle": "string",
125 "investmentSubTitle": "string"
126 }
127 }
128 ]
129 },
130 "investmentRequestYearDistribution": {
131 "id": 0,
132 "createdOn": "2019-08-24T14:15:22Z",
133 "createdById": "string",
134 "modifiedOn": "2019-08-24T14:15:22Z",
135 "modifiedById": "string",
136 "createdByName": "string",
137 "lastModifiedByName": "string",
138 "year": 0,
139 "amount": 0,
140 "originalCurrencyId": 0,
141 "originalCurrencyDisplayId": "string",
142 "originalAmount": 0,
143 "rate": 0,
144 "rateDate": "2019-08-24",
145 "spent": 0,
146 "investmentRequestToInvestmentAreaId": 0
147 },
148 "investmentRequestId": 0,
149 "investmentRequestDisplayId": "string",
150 "investmentRequestTitle": "string",
151 "requestCategoryId": 0,
152 "year": 0,
153 "displayId": "string",
154 "leaseAreaId": 0,
155 "leaseAreaDisplayId": "string",
156 "leaseAreaName": "string",
157 "businessUnitId": 0,
158 "businessUnitDisplayId": "string",
159 "companyId": 0,
160 "companyDisplayId": "string",
161 "departmentId": 0,
162 "departmentDisplayId": "string",
163 "project": "string",
164 "companyCurrencyId": 0,
165 "companyCurrencyDisplayId": "string",
166 "reportingCurrencyId": 0,
167 "reportingCurrencyDisplayId": "string",
168 "masterBudgetId": 0,
169 "archived": true,
170 "inceptionExchangeRate": 0,
171 "exchangeRateValidFrom": "2019-08-24",
172 "weightedAverageExchangeRate": 0,
173 "status": "DRAFT",
174 "workflowStepName": "string",
175 "forcastYearStart": 0,
176 "forcastYearEnd": 0,
177 "actualYearStart": 0,
178 "actualYearEnd": 0,
179 "projectDescription": "string",
180 "projectJustification": "string",
181 "sponsor": "string",
182 "group1": {
183 "id": 0,
184 "createdOn": "2019-08-24T14:15:22Z",
185 "createdById": "string",
186 "modifiedOn": "2019-08-24T14:15:22Z",
187 "modifiedById": "string",
188 "createdByName": "string",
189 "lastModifiedByName": "string",
190 "displayId": "string",
191 "name": "string",
192 "type": "Group1"
193 },
194 "group2": {
195 "id": 0,
196 "createdOn": "2019-08-24T14:15:22Z",
197 "createdById": "string",
198 "modifiedOn": "2019-08-24T14:15:22Z",
199 "modifiedById": "string",
200 "createdByName": "string",
201 "lastModifiedByName": "string",
202 "displayId": "string",
203 "name": "string",
204 "type": "Group1"
205 },
206 "belongToBudget": {},
207 "totalRequestedAmount": 0,
208 "totalExpense": 0,
209 "totalSpent": 0,
210 "originalRequestedAmount": 0,
211 "modifiedAmount": 0,
212 "currentAvailable": 0,
213 "splitYears": "string",
214 "modificationId": 0,
215 "requestCategory": {
216 "id": 0,
217 "createdOn": "2019-08-24T14:15:22Z",
218 "createdById": "string",
219 "modifiedOn": "2019-08-24T14:15:22Z",
220 "modifiedById": "string",
221 "createdByName": "string",
222 "lastModifiedByName": "string",
223 "displayId": "string",
224 "title": "string",
225 "subTitle": "string",
226 "icon": "string",
227 "budgetTitle": "string",
228 "budgetSubTitle": "string",
229 "investmentTitle": "string",
230 "investmentSubTitle": "string"
231 },
232 "leaseArea": {
233 "id": 0,
234 "status": "CREATED",
235 "displayId": "string",
236 "name": "string",
237 "businessUnitId": 0
238 },
239 "businessUnit": {
240 "id": 0,
241 "status": "CREATED",
242 "displayId": "string",
243 "name": "string",
244 "leaseAreaId": 0,
245 "companyId": 0
246 },
247 "company": {
248 "id": 0,
249 "status": "CREATED",
250 "displayId": "string",
251 "erpSystemId": 0,
252 "erpSystemDisplayId": "string",
253 "countryId": 0,
254 "countryDisplayId": "string",
255 "postingPeriodVariantId": 0,
256 "name": "string",
257 "postingPeriodVariantDisplayId": "string",
258 "controllingAreaId": 0,
259 "controllingAreaDisplayId": "string",
260 "chartOfAccountId": 0,
261 "chartOfAccountDisplayId": "string",
262 "fiscalVariantId": 0,
263 "fiscalVariantDisplayId": "string",
264 "chartOfDepreciationId": 0,
265 "chartOfDepreciationDisplayId": "string",
266 "purchasingOrganizationId": 0,
267 "assetId": 0,
268 "exchangeRateTypeId": 0,
269 "plantId": 0,
270 "incrementalBorrowingRateId": 0,
271 "businessUnitId": 0,
272 "projectId": 0,
273 "transferVariantId": 0,
274 "partnerId": 0,
275 "departmentId": 0,
276 "accountingStandardId": 0,
277 "generalLedgerAccountId": 0,
278 "consumerPriceIndexCategoryId": 0,
279 "costCenterId": 0,
280 "costCenterRelationValidFrom": "2019-08-24",
281 "costCenterRelationValidTo": "2019-08-24"
282 },
283 "department": {
284 "id": 0,
285 "status": "CREATED",
286 "displayId": "string",
287 "name": "string",
288 "companyId": 0,
289 "leaseGroupId": 0
290 }
291 },
292 "nimBudgetInvestmentAreaDto": {
293 "id": 0,
294 "createdOn": "2019-08-24T14:15:22Z",
295 "createdById": "string",
296 "modifiedOn": "2019-08-24T14:15:22Z",
297 "modifiedById": "string",
298 "createdByName": "string",
299 "lastModifiedByName": "string",
300 "amount": 0,
301 "originalCurrencyId": 0,
302 "originalCurrencyDisplayId": "string",
303 "originalAmount": 0,
304 "rate": 0,
305 "rateDate": "2019-08-24",
306 "investmentAreaId": 0,
307 "investmentArea": {
308 "id": 0,
309 "createdOn": "2019-08-24T14:15:22Z",
310 "createdById": "string",
311 "modifiedOn": "2019-08-24T14:15:22Z",
312 "modifiedById": "string",
313 "createdByName": "string",
314 "lastModifiedByName": "string",
315 "displayId": "string",
316 "name": "string",
317 "assetClasses": [
318 0
319 ]
320 },
321 "budgetYearDistributions": [
322 {
323 "id": 0,
324 "createdOn": "2019-08-24T14:15:22Z",
325 "createdById": "string",
326 "modifiedOn": "2019-08-24T14:15:22Z",
327 "modifiedById": "string",
328 "createdByName": "string",
329 "lastModifiedByName": "string",
330 "year": 0,
331 "amount": 0,
332 "originalCurrencyId": 0,
333 "originalCurrencyDisplayId": "string",
334 "originalAmount": 0,
335 "rate": 0,
336 "rateDate": "2019-08-24",
337 "spent": 0,
338 "budgetInvestmentAreaId": 0
339 }
340 ],
341 "investmentRequest": {
342 "id": 0,
343 "createdOn": "2019-08-24T14:15:22Z",
344 "createdById": "string",
345 "modifiedOn": "2019-08-24T14:15:22Z",
346 "modifiedById": "string",
347 "createdByName": "string",
348 "lastModifiedByName": "string",
349 "requestedAmount": 0,
350 "companyCurrency": "string",
351 "investmentAreaIds": [
352 0
353 ],
354 "requestCategoryId": 0,
355 "displayId": "string",
356 "leaseAreaId": 0,
357 "leaseAreaDisplayId": "string",
358 "leaseAreaName": "string",
359 "businessUnitId": 0,
360 "businessUnitDisplayId": "string",
361 "companyId": 0,
362 "companyDisplayId": "string",
363 "departmentId": 0,
364 "departmentDisplayId": "string",
365 "title": "string",
366 "investmentCurrencyId": 0,
367 "investmentCurrencyDisplayId": "string",
368 "companyCurrencyId": 0,
369 "companyCurrencyDisplayId": "string",
370 "reportingCurrencyId": 0,
371 "reportingCurrencyDisplayId": "string",
372 "masterInvestmentRequestId": 0,
373 "inceptionExchangeRate": 0,
374 "exchangeRateValidFrom": "2019-08-24",
375 "weightedAverageExchangeRate": 0,
376 "status": "DRAFT",
377 "workflowStepName": "string",
378 "description": "string",
379 "justification": "string",
380 "totalRequestedAmount": 0,
381 "totalExpense": 0,
382 "totalSpent": 0,
383 "originalRequestedAmount": 0,
384 "modifiedAmount": 0,
385 "currentAvailable": 0,
386 "modificationId": 0,
387 "requestCategory": {
388 "id": 0,
389 "createdOn": "2019-08-24T14:15:22Z",
390 "createdById": "string",
391 "modifiedOn": "2019-08-24T14:15:22Z",
392 "modifiedById": "string",
393 "createdByName": "string",
394 "lastModifiedByName": "string",
395 "displayId": "string",
396 "title": "string",
397 "subTitle": "string",
398 "icon": "string",
399 "budgetTitle": "string",
400 "budgetSubTitle": "string",
401 "investmentTitle": "string",
402 "investmentSubTitle": "string"
403 },
404 "expectedInitiationDate": "2019-08-24",
405 "expectedCompletionDate": "2019-08-24",
406 "actualInitiationDate": "2019-08-24",
407 "actualCompletionDate": "2019-08-24",
408 "requestUrgency": "string",
409 "leaseArea": {
410 "id": 0,
411 "status": "CREATED",
412 "displayId": "string",
413 "name": "string",
414 "businessUnitId": 0
415 },
416 "businessUnit": {
417 "id": 0,
418 "status": "CREATED",
419 "displayId": "string",
420 "name": "string",
421 "leaseAreaId": 0,
422 "companyId": 0
423 },
424 "company": {
425 "id": 0,
426 "status": "CREATED",
427 "displayId": "string",
428 "erpSystemId": 0,
429 "erpSystemDisplayId": "string",
430 "countryId": 0,
431 "countryDisplayId": "string",
432 "postingPeriodVariantId": 0,
433 "name": "string",
434 "postingPeriodVariantDisplayId": "string",
435 "controllingAreaId": 0,
436 "controllingAreaDisplayId": "string",
437 "chartOfAccountId": 0,
438 "chartOfAccountDisplayId": "string",
439 "fiscalVariantId": 0,
440 "fiscalVariantDisplayId": "string",
441 "chartOfDepreciationId": 0,
442 "chartOfDepreciationDisplayId": "string",
443 "purchasingOrganizationId": 0,
444 "assetId": 0,
445 "exchangeRateTypeId": 0,
446 "plantId": 0,
447 "incrementalBorrowingRateId": 0,
448 "businessUnitId": 0,
449 "projectId": 0,
450 "transferVariantId": 0,
451 "partnerId": 0,
452 "departmentId": 0,
453 "accountingStandardId": 0,
454 "generalLedgerAccountId": 0,
455 "consumerPriceIndexCategoryId": 0,
456 "costCenterId": 0,
457 "costCenterRelationValidFrom": "2019-08-24",
458 "costCenterRelationValidTo": "2019-08-24"
459 },
460 "department": {
461 "id": 0,
462 "status": "CREATED",
463 "displayId": "string",
464 "name": "string",
465 "companyId": 0,
466 "leaseGroupId": 0
467 },
468 "linkedBudgets": [
469 {
470 "id": 0,
471 "createdOn": "2019-08-24T14:15:22Z",
472 "createdById": "string",
473 "modifiedOn": "2019-08-24T14:15:22Z",
474 "modifiedById": "string",
475 "createdByName": "string",
476 "lastModifiedByName": "string",
477 "requestCategoryId": 0,
478 "year": 0,
479 "displayId": "string",
480 "project": "string",
481 "requestCategory": {
482 "id": 0,
483 "createdOn": "2019-08-24T14:15:22Z",
484 "createdById": "string",
485 "modifiedOn": "2019-08-24T14:15:22Z",
486 "modifiedById": "string",
487 "createdByName": "string",
488 "lastModifiedByName": "string",
489 "displayId": "string",
490 "title": "string",
491 "subTitle": "string",
492 "icon": "string",
493 "budgetTitle": "string",
494 "budgetSubTitle": "string",
495 "investmentTitle": "string",
496 "investmentSubTitle": "string"
497 }
498 }
499 ],
500 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
501 0
502 ]
503 },
504 "investmentRequests": [
505 {
506 "id": 0,
507 "createdOn": "2019-08-24T14:15:22Z",
508 "createdById": "string",
509 "modifiedOn": "2019-08-24T14:15:22Z",
510 "modifiedById": "string",
511 "createdByName": "string",
512 "lastModifiedByName": "string",
513 "requestedAmount": 0,
514 "companyCurrency": "string",
515 "investmentAreaIds": [
516 0
517 ],
518 "requestCategoryId": 0,
519 "displayId": "string",
520 "leaseAreaId": 0,
521 "leaseAreaDisplayId": "string",
522 "leaseAreaName": "string",
523 "businessUnitId": 0,
524 "businessUnitDisplayId": "string",
525 "companyId": 0,
526 "companyDisplayId": "string",
527 "departmentId": 0,
528 "departmentDisplayId": "string",
529 "title": "string",
530 "investmentCurrencyId": 0,
531 "investmentCurrencyDisplayId": "string",
532 "companyCurrencyId": 0,
533 "companyCurrencyDisplayId": "string",
534 "reportingCurrencyId": 0,
535 "reportingCurrencyDisplayId": "string",
536 "masterInvestmentRequestId": 0,
537 "inceptionExchangeRate": 0,
538 "exchangeRateValidFrom": "2019-08-24",
539 "weightedAverageExchangeRate": 0,
540 "status": "DRAFT",
541 "workflowStepName": "string",
542 "description": "string",
543 "justification": "string",
544 "totalRequestedAmount": 0,
545 "totalExpense": 0,
546 "totalSpent": 0,
547 "originalRequestedAmount": 0,
548 "modifiedAmount": 0,
549 "currentAvailable": 0,
550 "modificationId": 0,
551 "requestCategory": {
552 "id": 0,
553 "createdOn": "2019-08-24T14:15:22Z",
554 "createdById": "string",
555 "modifiedOn": "2019-08-24T14:15:22Z",
556 "modifiedById": "string",
557 "createdByName": "string",
558 "lastModifiedByName": "string",
559 "displayId": "string",
560 "title": "string",
561 "subTitle": "string",
562 "icon": "string",
563 "budgetTitle": "string",
564 "budgetSubTitle": "string",
565 "investmentTitle": "string",
566 "investmentSubTitle": "string"
567 },
568 "expectedInitiationDate": "2019-08-24",
569 "expectedCompletionDate": "2019-08-24",
570 "actualInitiationDate": "2019-08-24",
571 "actualCompletionDate": "2019-08-24",
572 "requestUrgency": "string",
573 "leaseArea": {
574 "id": 0,
575 "status": "CREATED",
576 "displayId": "string",
577 "name": "string",
578 "businessUnitId": 0
579 },
580 "businessUnit": {
581 "id": 0,
582 "status": "CREATED",
583 "displayId": "string",
584 "name": "string",
585 "leaseAreaId": 0,
586 "companyId": 0
587 },
588 "company": {
589 "id": 0,
590 "status": "CREATED",
591 "displayId": "string",
592 "erpSystemId": 0,
593 "erpSystemDisplayId": "string",
594 "countryId": 0,
595 "countryDisplayId": "string",
596 "postingPeriodVariantId": 0,
597 "name": "string",
598 "postingPeriodVariantDisplayId": "string",
599 "controllingAreaId": 0,
600 "controllingAreaDisplayId": "string",
601 "chartOfAccountId": 0,
602 "chartOfAccountDisplayId": "string",
603 "fiscalVariantId": 0,
604 "fiscalVariantDisplayId": "string",
605 "chartOfDepreciationId": 0,
606 "chartOfDepreciationDisplayId": "string",
607 "purchasingOrganizationId": 0,
608 "assetId": 0,
609 "exchangeRateTypeId": 0,
610 "plantId": 0,
611 "incrementalBorrowingRateId": 0,
612 "businessUnitId": 0,
613 "projectId": 0,
614 "transferVariantId": 0,
615 "partnerId": 0,
616 "departmentId": 0,
617 "accountingStandardId": 0,
618 "generalLedgerAccountId": 0,
619 "consumerPriceIndexCategoryId": 0,
620 "costCenterId": 0,
621 "costCenterRelationValidFrom": "2019-08-24",
622 "costCenterRelationValidTo": "2019-08-24"
623 },
624 "department": {
625 "id": 0,
626 "status": "CREATED",
627 "displayId": "string",
628 "name": "string",
629 "companyId": 0,
630 "leaseGroupId": 0
631 },
632 "linkedBudgets": [
633 {
634 "id": 0,
635 "createdOn": "2019-08-24T14:15:22Z",
636 "createdById": "string",
637 "modifiedOn": "2019-08-24T14:15:22Z",
638 "modifiedById": "string",
639 "createdByName": "string",
640 "lastModifiedByName": "string",
641 "requestCategoryId": 0,
642 "year": 0,
643 "displayId": "string",
644 "project": "string",
645 "requestCategory": {
646 "id": 0,
647 "createdOn": "2019-08-24T14:15:22Z",
648 "createdById": "string",
649 "modifiedOn": "2019-08-24T14:15:22Z",
650 "modifiedById": "string",
651 "createdByName": "string",
652 "lastModifiedByName": "string",
653 "displayId": "string",
654 "title": "string",
655 "subTitle": "string",
656 "icon": "string",
657 "budgetTitle": "string",
658 "budgetSubTitle": "string",
659 "investmentTitle": "string",
660 "investmentSubTitle": "string"
661 }
662 }
663 ],
664 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
665 0
666 ]
667 }
668 ],
669 "totalSpent": 0,
670 "totalReserved": 0,
671 "budgetBalance": 0
672 },
673 "nimInvestmentAreaDto": {
674 "id": 0,
675 "createdOn": "2019-08-24T14:15:22Z",
676 "createdById": "string",
677 "modifiedOn": "2019-08-24T14:15:22Z",
678 "modifiedById": "string",
679 "createdByName": "string",
680 "lastModifiedByName": "string",
681 "displayId": "string",
682 "name": "string",
683 "assetClasses": [
684 0
685 ]
686 }
687 }
688 ],
689 "remaining": 0,
690 "usedPecentage": 0
691}
Get Budget By Premises ID¶
HTTP Request
GET /api/budget/{id}/premises
📋 Description: Retrieves a list of premises associated with a specific budget, providing insights into resource allocation and facility management.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "id": 0,
3 "createdBy": "string",
4 "createdAt": "2019-08-24T14:15:22Z",
5 "workOrderIds": [
6 0
7 ],
8 "totalFinalCost": 0,
9 "budgetType": "string",
10 "premiseId": 0,
11 "premiseDisplayId": "string",
12 "totalBudget": 0,
13 "startDate": "2019-08-24",
14 "endDate": "2019-08-24",
15 "premiseAvailable": true,
16 "nimBudgetLinkDtos": [
17 {
18 "id": 0,
19 "createdBy": "string",
20 "createdAt": "2019-08-24T14:15:22Z",
21 "nimBudgetId": 0,
22 "nimInvestmentAreaId": 0,
23 "nimBudgetDto": {
24 "id": 0,
25 "createdOn": "2019-08-24T14:15:22Z",
26 "createdById": "string",
27 "modifiedOn": "2019-08-24T14:15:22Z",
28 "modifiedById": "string",
29 "createdByName": "string",
30 "lastModifiedByName": "string",
31 "requestedAmount": 0,
32 "spent": 0,
33 "companyCurrency": "string",
34 "endYear": 0,
35 "internalAssetClassIds": "string",
36 "availableCombos": "string",
37 "belongToBudgetId": 0,
38 "postedAssetExists": true,
39 "childrenIds": [
40 0
41 ],
42 "investmentAreaIds": [
43 0
44 ],
45 "investmentRequestToInvestmentArea": {
46 "id": 0,
47 "createdOn": "2019-08-24T14:15:22Z",
48 "createdById": "string",
49 "modifiedOn": "2019-08-24T14:15:22Z",
50 "modifiedById": "string",
51 "createdByName": "string",
52 "lastModifiedByName": "string",
53 "amount": 0,
54 "originalCurrencyId": 0,
55 "originalCurrencyDisplayId": "string",
56 "originalAmount": 0,
57 "rate": 0,
58 "rateDate": "2019-08-24",
59 "investmentAreaId": 0,
60 "investmentArea": {
61 "id": 0,
62 "createdOn": "2019-08-24T14:15:22Z",
63 "createdById": "string",
64 "modifiedOn": "2019-08-24T14:15:22Z",
65 "modifiedById": "string",
66 "createdByName": "string",
67 "lastModifiedByName": "string",
68 "displayId": "string",
69 "name": "string",
70 "assetClasses": [
71 0
72 ]
73 },
74 "investmentRequestYearDistributions": [
75 {
76 "id": 0,
77 "createdOn": "2019-08-24T14:15:22Z",
78 "createdById": "string",
79 "modifiedOn": "2019-08-24T14:15:22Z",
80 "modifiedById": "string",
81 "createdByName": "string",
82 "lastModifiedByName": "string",
83 "year": 0,
84 "amount": 0,
85 "originalCurrencyId": 0,
86 "originalCurrencyDisplayId": "string",
87 "originalAmount": 0,
88 "rate": 0,
89 "rateDate": "2019-08-24",
90 "spent": 0,
91 "investmentRequestToInvestmentAreaId": 0
92 }
93 ],
94 "totalSpent": 0,
95 "totalReserved": 0,
96 "balance": 0,
97 "linkedBudgets": [
98 {
99 "id": 0,
100 "createdOn": "2019-08-24T14:15:22Z",
101 "createdById": "string",
102 "modifiedOn": "2019-08-24T14:15:22Z",
103 "modifiedById": "string",
104 "createdByName": "string",
105 "lastModifiedByName": "string",
106 "requestCategoryId": 0,
107 "year": 0,
108 "displayId": "string",
109 "project": "string",
110 "requestCategory": {
111 "id": 0,
112 "createdOn": "2019-08-24T14:15:22Z",
113 "createdById": "string",
114 "modifiedOn": "2019-08-24T14:15:22Z",
115 "modifiedById": "string",
116 "createdByName": "string",
117 "lastModifiedByName": "string",
118 "displayId": "string",
119 "title": "string",
120 "subTitle": "string",
121 "icon": "string",
122 "budgetTitle": "string",
123 "budgetSubTitle": "string",
124 "investmentTitle": "string",
125 "investmentSubTitle": "string"
126 }
127 }
128 ]
129 },
130 "investmentRequestYearDistribution": {
131 "id": 0,
132 "createdOn": "2019-08-24T14:15:22Z",
133 "createdById": "string",
134 "modifiedOn": "2019-08-24T14:15:22Z",
135 "modifiedById": "string",
136 "createdByName": "string",
137 "lastModifiedByName": "string",
138 "year": 0,
139 "amount": 0,
140 "originalCurrencyId": 0,
141 "originalCurrencyDisplayId": "string",
142 "originalAmount": 0,
143 "rate": 0,
144 "rateDate": "2019-08-24",
145 "spent": 0,
146 "investmentRequestToInvestmentAreaId": 0
147 },
148 "investmentRequestId": 0,
149 "investmentRequestDisplayId": "string",
150 "investmentRequestTitle": "string",
151 "requestCategoryId": 0,
152 "year": 0,
153 "displayId": "string",
154 "leaseAreaId": 0,
155 "leaseAreaDisplayId": "string",
156 "leaseAreaName": "string",
157 "businessUnitId": 0,
158 "businessUnitDisplayId": "string",
159 "companyId": 0,
160 "companyDisplayId": "string",
161 "departmentId": 0,
162 "departmentDisplayId": "string",
163 "project": "string",
164 "companyCurrencyId": 0,
165 "companyCurrencyDisplayId": "string",
166 "reportingCurrencyId": 0,
167 "reportingCurrencyDisplayId": "string",
168 "masterBudgetId": 0,
169 "archived": true,
170 "inceptionExchangeRate": 0,
171 "exchangeRateValidFrom": "2019-08-24",
172 "weightedAverageExchangeRate": 0,
173 "status": "DRAFT",
174 "workflowStepName": "string",
175 "forcastYearStart": 0,
176 "forcastYearEnd": 0,
177 "actualYearStart": 0,
178 "actualYearEnd": 0,
179 "projectDescription": "string",
180 "projectJustification": "string",
181 "sponsor": "string",
182 "group1": {
183 "id": 0,
184 "createdOn": "2019-08-24T14:15:22Z",
185 "createdById": "string",
186 "modifiedOn": "2019-08-24T14:15:22Z",
187 "modifiedById": "string",
188 "createdByName": "string",
189 "lastModifiedByName": "string",
190 "displayId": "string",
191 "name": "string",
192 "type": "Group1"
193 },
194 "group2": {
195 "id": 0,
196 "createdOn": "2019-08-24T14:15:22Z",
197 "createdById": "string",
198 "modifiedOn": "2019-08-24T14:15:22Z",
199 "modifiedById": "string",
200 "createdByName": "string",
201 "lastModifiedByName": "string",
202 "displayId": "string",
203 "name": "string",
204 "type": "Group1"
205 },
206 "belongToBudget": {},
207 "totalRequestedAmount": 0,
208 "totalExpense": 0,
209 "totalSpent": 0,
210 "originalRequestedAmount": 0,
211 "modifiedAmount": 0,
212 "currentAvailable": 0,
213 "splitYears": "string",
214 "modificationId": 0,
215 "requestCategory": {
216 "id": 0,
217 "createdOn": "2019-08-24T14:15:22Z",
218 "createdById": "string",
219 "modifiedOn": "2019-08-24T14:15:22Z",
220 "modifiedById": "string",
221 "createdByName": "string",
222 "lastModifiedByName": "string",
223 "displayId": "string",
224 "title": "string",
225 "subTitle": "string",
226 "icon": "string",
227 "budgetTitle": "string",
228 "budgetSubTitle": "string",
229 "investmentTitle": "string",
230 "investmentSubTitle": "string"
231 },
232 "leaseArea": {
233 "id": 0,
234 "status": "CREATED",
235 "displayId": "string",
236 "name": "string",
237 "businessUnitId": 0
238 },
239 "businessUnit": {
240 "id": 0,
241 "status": "CREATED",
242 "displayId": "string",
243 "name": "string",
244 "leaseAreaId": 0,
245 "companyId": 0
246 },
247 "company": {
248 "id": 0,
249 "status": "CREATED",
250 "displayId": "string",
251 "erpSystemId": 0,
252 "erpSystemDisplayId": "string",
253 "countryId": 0,
254 "countryDisplayId": "string",
255 "postingPeriodVariantId": 0,
256 "name": "string",
257 "postingPeriodVariantDisplayId": "string",
258 "controllingAreaId": 0,
259 "controllingAreaDisplayId": "string",
260 "chartOfAccountId": 0,
261 "chartOfAccountDisplayId": "string",
262 "fiscalVariantId": 0,
263 "fiscalVariantDisplayId": "string",
264 "chartOfDepreciationId": 0,
265 "chartOfDepreciationDisplayId": "string",
266 "purchasingOrganizationId": 0,
267 "assetId": 0,
268 "exchangeRateTypeId": 0,
269 "plantId": 0,
270 "incrementalBorrowingRateId": 0,
271 "businessUnitId": 0,
272 "projectId": 0,
273 "transferVariantId": 0,
274 "partnerId": 0,
275 "departmentId": 0,
276 "accountingStandardId": 0,
277 "generalLedgerAccountId": 0,
278 "consumerPriceIndexCategoryId": 0,
279 "costCenterId": 0,
280 "costCenterRelationValidFrom": "2019-08-24",
281 "costCenterRelationValidTo": "2019-08-24"
282 },
283 "department": {
284 "id": 0,
285 "status": "CREATED",
286 "displayId": "string",
287 "name": "string",
288 "companyId": 0,
289 "leaseGroupId": 0
290 }
291 },
292 "nimBudgetInvestmentAreaDto": {
293 "id": 0,
294 "createdOn": "2019-08-24T14:15:22Z",
295 "createdById": "string",
296 "modifiedOn": "2019-08-24T14:15:22Z",
297 "modifiedById": "string",
298 "createdByName": "string",
299 "lastModifiedByName": "string",
300 "amount": 0,
301 "originalCurrencyId": 0,
302 "originalCurrencyDisplayId": "string",
303 "originalAmount": 0,
304 "rate": 0,
305 "rateDate": "2019-08-24",
306 "investmentAreaId": 0,
307 "investmentArea": {
308 "id": 0,
309 "createdOn": "2019-08-24T14:15:22Z",
310 "createdById": "string",
311 "modifiedOn": "2019-08-24T14:15:22Z",
312 "modifiedById": "string",
313 "createdByName": "string",
314 "lastModifiedByName": "string",
315 "displayId": "string",
316 "name": "string",
317 "assetClasses": [
318 0
319 ]
320 },
321 "budgetYearDistributions": [
322 {
323 "id": 0,
324 "createdOn": "2019-08-24T14:15:22Z",
325 "createdById": "string",
326 "modifiedOn": "2019-08-24T14:15:22Z",
327 "modifiedById": "string",
328 "createdByName": "string",
329 "lastModifiedByName": "string",
330 "year": 0,
331 "amount": 0,
332 "originalCurrencyId": 0,
333 "originalCurrencyDisplayId": "string",
334 "originalAmount": 0,
335 "rate": 0,
336 "rateDate": "2019-08-24",
337 "spent": 0,
338 "budgetInvestmentAreaId": 0
339 }
340 ],
341 "investmentRequest": {
342 "id": 0,
343 "createdOn": "2019-08-24T14:15:22Z",
344 "createdById": "string",
345 "modifiedOn": "2019-08-24T14:15:22Z",
346 "modifiedById": "string",
347 "createdByName": "string",
348 "lastModifiedByName": "string",
349 "requestedAmount": 0,
350 "companyCurrency": "string",
351 "investmentAreaIds": [
352 0
353 ],
354 "requestCategoryId": 0,
355 "displayId": "string",
356 "leaseAreaId": 0,
357 "leaseAreaDisplayId": "string",
358 "leaseAreaName": "string",
359 "businessUnitId": 0,
360 "businessUnitDisplayId": "string",
361 "companyId": 0,
362 "companyDisplayId": "string",
363 "departmentId": 0,
364 "departmentDisplayId": "string",
365 "title": "string",
366 "investmentCurrencyId": 0,
367 "investmentCurrencyDisplayId": "string",
368 "companyCurrencyId": 0,
369 "companyCurrencyDisplayId": "string",
370 "reportingCurrencyId": 0,
371 "reportingCurrencyDisplayId": "string",
372 "masterInvestmentRequestId": 0,
373 "inceptionExchangeRate": 0,
374 "exchangeRateValidFrom": "2019-08-24",
375 "weightedAverageExchangeRate": 0,
376 "status": "DRAFT",
377 "workflowStepName": "string",
378 "description": "string",
379 "justification": "string",
380 "totalRequestedAmount": 0,
381 "totalExpense": 0,
382 "totalSpent": 0,
383 "originalRequestedAmount": 0,
384 "modifiedAmount": 0,
385 "currentAvailable": 0,
386 "modificationId": 0,
387 "requestCategory": {
388 "id": 0,
389 "createdOn": "2019-08-24T14:15:22Z",
390 "createdById": "string",
391 "modifiedOn": "2019-08-24T14:15:22Z",
392 "modifiedById": "string",
393 "createdByName": "string",
394 "lastModifiedByName": "string",
395 "displayId": "string",
396 "title": "string",
397 "subTitle": "string",
398 "icon": "string",
399 "budgetTitle": "string",
400 "budgetSubTitle": "string",
401 "investmentTitle": "string",
402 "investmentSubTitle": "string"
403 },
404 "expectedInitiationDate": "2019-08-24",
405 "expectedCompletionDate": "2019-08-24",
406 "actualInitiationDate": "2019-08-24",
407 "actualCompletionDate": "2019-08-24",
408 "requestUrgency": "string",
409 "leaseArea": {
410 "id": 0,
411 "status": "CREATED",
412 "displayId": "string",
413 "name": "string",
414 "businessUnitId": 0
415 },
416 "businessUnit": {
417 "id": 0,
418 "status": "CREATED",
419 "displayId": "string",
420 "name": "string",
421 "leaseAreaId": 0,
422 "companyId": 0
423 },
424 "company": {
425 "id": 0,
426 "status": "CREATED",
427 "displayId": "string",
428 "erpSystemId": 0,
429 "erpSystemDisplayId": "string",
430 "countryId": 0,
431 "countryDisplayId": "string",
432 "postingPeriodVariantId": 0,
433 "name": "string",
434 "postingPeriodVariantDisplayId": "string",
435 "controllingAreaId": 0,
436 "controllingAreaDisplayId": "string",
437 "chartOfAccountId": 0,
438 "chartOfAccountDisplayId": "string",
439 "fiscalVariantId": 0,
440 "fiscalVariantDisplayId": "string",
441 "chartOfDepreciationId": 0,
442 "chartOfDepreciationDisplayId": "string",
443 "purchasingOrganizationId": 0,
444 "assetId": 0,
445 "exchangeRateTypeId": 0,
446 "plantId": 0,
447 "incrementalBorrowingRateId": 0,
448 "businessUnitId": 0,
449 "projectId": 0,
450 "transferVariantId": 0,
451 "partnerId": 0,
452 "departmentId": 0,
453 "accountingStandardId": 0,
454 "generalLedgerAccountId": 0,
455 "consumerPriceIndexCategoryId": 0,
456 "costCenterId": 0,
457 "costCenterRelationValidFrom": "2019-08-24",
458 "costCenterRelationValidTo": "2019-08-24"
459 },
460 "department": {
461 "id": 0,
462 "status": "CREATED",
463 "displayId": "string",
464 "name": "string",
465 "companyId": 0,
466 "leaseGroupId": 0
467 },
468 "linkedBudgets": [
469 {
470 "id": 0,
471 "createdOn": "2019-08-24T14:15:22Z",
472 "createdById": "string",
473 "modifiedOn": "2019-08-24T14:15:22Z",
474 "modifiedById": "string",
475 "createdByName": "string",
476 "lastModifiedByName": "string",
477 "requestCategoryId": 0,
478 "year": 0,
479 "displayId": "string",
480 "project": "string",
481 "requestCategory": {
482 "id": 0,
483 "createdOn": "2019-08-24T14:15:22Z",
484 "createdById": "string",
485 "modifiedOn": "2019-08-24T14:15:22Z",
486 "modifiedById": "string",
487 "createdByName": "string",
488 "lastModifiedByName": "string",
489 "displayId": "string",
490 "title": "string",
491 "subTitle": "string",
492 "icon": "string",
493 "budgetTitle": "string",
494 "budgetSubTitle": "string",
495 "investmentTitle": "string",
496 "investmentSubTitle": "string"
497 }
498 }
499 ],
500 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
501 0
502 ]
503 },
504 "investmentRequests": [
505 {
506 "id": 0,
507 "createdOn": "2019-08-24T14:15:22Z",
508 "createdById": "string",
509 "modifiedOn": "2019-08-24T14:15:22Z",
510 "modifiedById": "string",
511 "createdByName": "string",
512 "lastModifiedByName": "string",
513 "requestedAmount": 0,
514 "companyCurrency": "string",
515 "investmentAreaIds": [
516 0
517 ],
518 "requestCategoryId": 0,
519 "displayId": "string",
520 "leaseAreaId": 0,
521 "leaseAreaDisplayId": "string",
522 "leaseAreaName": "string",
523 "businessUnitId": 0,
524 "businessUnitDisplayId": "string",
525 "companyId": 0,
526 "companyDisplayId": "string",
527 "departmentId": 0,
528 "departmentDisplayId": "string",
529 "title": "string",
530 "investmentCurrencyId": 0,
531 "investmentCurrencyDisplayId": "string",
532 "companyCurrencyId": 0,
533 "companyCurrencyDisplayId": "string",
534 "reportingCurrencyId": 0,
535 "reportingCurrencyDisplayId": "string",
536 "masterInvestmentRequestId": 0,
537 "inceptionExchangeRate": 0,
538 "exchangeRateValidFrom": "2019-08-24",
539 "weightedAverageExchangeRate": 0,
540 "status": "DRAFT",
541 "workflowStepName": "string",
542 "description": "string",
543 "justification": "string",
544 "totalRequestedAmount": 0,
545 "totalExpense": 0,
546 "totalSpent": 0,
547 "originalRequestedAmount": 0,
548 "modifiedAmount": 0,
549 "currentAvailable": 0,
550 "modificationId": 0,
551 "requestCategory": {
552 "id": 0,
553 "createdOn": "2019-08-24T14:15:22Z",
554 "createdById": "string",
555 "modifiedOn": "2019-08-24T14:15:22Z",
556 "modifiedById": "string",
557 "createdByName": "string",
558 "lastModifiedByName": "string",
559 "displayId": "string",
560 "title": "string",
561 "subTitle": "string",
562 "icon": "string",
563 "budgetTitle": "string",
564 "budgetSubTitle": "string",
565 "investmentTitle": "string",
566 "investmentSubTitle": "string"
567 },
568 "expectedInitiationDate": "2019-08-24",
569 "expectedCompletionDate": "2019-08-24",
570 "actualInitiationDate": "2019-08-24",
571 "actualCompletionDate": "2019-08-24",
572 "requestUrgency": "string",
573 "leaseArea": {
574 "id": 0,
575 "status": "CREATED",
576 "displayId": "string",
577 "name": "string",
578 "businessUnitId": 0
579 },
580 "businessUnit": {
581 "id": 0,
582 "status": "CREATED",
583 "displayId": "string",
584 "name": "string",
585 "leaseAreaId": 0,
586 "companyId": 0
587 },
588 "company": {
589 "id": 0,
590 "status": "CREATED",
591 "displayId": "string",
592 "erpSystemId": 0,
593 "erpSystemDisplayId": "string",
594 "countryId": 0,
595 "countryDisplayId": "string",
596 "postingPeriodVariantId": 0,
597 "name": "string",
598 "postingPeriodVariantDisplayId": "string",
599 "controllingAreaId": 0,
600 "controllingAreaDisplayId": "string",
601 "chartOfAccountId": 0,
602 "chartOfAccountDisplayId": "string",
603 "fiscalVariantId": 0,
604 "fiscalVariantDisplayId": "string",
605 "chartOfDepreciationId": 0,
606 "chartOfDepreciationDisplayId": "string",
607 "purchasingOrganizationId": 0,
608 "assetId": 0,
609 "exchangeRateTypeId": 0,
610 "plantId": 0,
611 "incrementalBorrowingRateId": 0,
612 "businessUnitId": 0,
613 "projectId": 0,
614 "transferVariantId": 0,
615 "partnerId": 0,
616 "departmentId": 0,
617 "accountingStandardId": 0,
618 "generalLedgerAccountId": 0,
619 "consumerPriceIndexCategoryId": 0,
620 "costCenterId": 0,
621 "costCenterRelationValidFrom": "2019-08-24",
622 "costCenterRelationValidTo": "2019-08-24"
623 },
624 "department": {
625 "id": 0,
626 "status": "CREATED",
627 "displayId": "string",
628 "name": "string",
629 "companyId": 0,
630 "leaseGroupId": 0
631 },
632 "linkedBudgets": [
633 {
634 "id": 0,
635 "createdOn": "2019-08-24T14:15:22Z",
636 "createdById": "string",
637 "modifiedOn": "2019-08-24T14:15:22Z",
638 "modifiedById": "string",
639 "createdByName": "string",
640 "lastModifiedByName": "string",
641 "requestCategoryId": 0,
642 "year": 0,
643 "displayId": "string",
644 "project": "string",
645 "requestCategory": {
646 "id": 0,
647 "createdOn": "2019-08-24T14:15:22Z",
648 "createdById": "string",
649 "modifiedOn": "2019-08-24T14:15:22Z",
650 "modifiedById": "string",
651 "createdByName": "string",
652 "lastModifiedByName": "string",
653 "displayId": "string",
654 "title": "string",
655 "subTitle": "string",
656 "icon": "string",
657 "budgetTitle": "string",
658 "budgetSubTitle": "string",
659 "investmentTitle": "string",
660 "investmentSubTitle": "string"
661 }
662 }
663 ],
664 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
665 0
666 ]
667 }
668 ],
669 "totalSpent": 0,
670 "totalReserved": 0,
671 "budgetBalance": 0
672 },
673 "nimInvestmentAreaDto": {
674 "id": 0,
675 "createdOn": "2019-08-24T14:15:22Z",
676 "createdById": "string",
677 "modifiedOn": "2019-08-24T14:15:22Z",
678 "modifiedById": "string",
679 "createdByName": "string",
680 "lastModifiedByName": "string",
681 "displayId": "string",
682 "name": "string",
683 "assetClasses": [
684 0
685 ]
686 }
687 }
688 ],
689 "remaining": 0,
690 "usedPecentage": 0
691}
Get All Budget Type¶
HTTP Request
GET /api/budget/budgetType
📋 Description: Fetches the available budget types to assist in budget allocation and management processes.
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 "string"
3]